2022-08-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp, src/HashFunction.hpp, src/HyperlinkManager.hpp, 
    src/Opacity.hpp, src/SVGElement.hpp, src/TFM.cpp, 
    src/optimizer/Makefile.am, src/utility.hpp: 
  fixed indentations 

2022-08-09  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.14 

  * configure.ac: 
  removed redundant macros from configure.ac 

2022-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CLCommandLine.cpp, src/CMap.cpp, src/DVIReader.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/FileFinder.cpp, src/FilePath.cpp, 
    src/Font.cpp, src/FontMap.cpp, src/HyperlinkManager.cpp, src/MapLine.cpp, 
    src/MetafontWrapper.cpp, src/PDFParser.cpp, src/PageSize.cpp, 
    src/PapersizeSpecialHandler.cpp, src/PsSpecialHandler.cpp, 
    src/SVGOutput.cpp, src/SVGTree.cpp, src/Unicode.cpp, src/XMLNode.cpp, 
    src/XMLParser.cpp, src/XMLString.cpp, src/dvisvgm.cpp, src/utility.cpp: 
  adapted types of variables used for string positions 

  * src/DvisvgmSpecialHandler.cpp: 
  reordered if/else statement 

  * src/MiKTeXCom.cpp: 
  replaced C-style cast 

2022-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPathParser.hpp: 
  updated year in copyright statement 

  * src/XMLParser.cpp: 
  handle GraphicsPathParserExceptions in XMLParser 

  * src/GraphicsPathParser.hpp: 
  improved position information of GraphicsPathParserException 

2022-07-18  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/include/woff2/encode.h, libs/woff2/include/woff2/output.h, 
    libs/woff2/src/font.cc, libs/woff2/src/glyph.cc, libs/woff2/src/glyph.h, 
    libs/woff2/src/normalize.cc, libs/woff2/src/transform.cc, 
    libs/woff2/src/woff2_enc.cc, libs/woff2/src/woff2_out.cc: 
  applied latest upstream changes to woff2 
  library
https://github.com/google/woff2/commit/62ae7a4c1ec7fb38adbf1294924db5924489889a 

  * libs/woff2/src/normalize.cc, libs/woff2/src/woff2_enc.cc: 
  woff2: removed unused variables to prevent compiler warnings 

  * libs/woff2/src/font.cc, libs/woff2/src/normalize.cc: 
  woff2: adapted variable types to prevent warnings 

  * src/dvisvgm.cpp: 
  added prefix to XML error messages 

2022-07-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MiKTeXCom.cpp: 
  updated output of MiKTeX version number 

  * src/PDFParser.cpp: 
  prevent warning about [[nodiscard]] return value 

2022-07-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPathParser.hpp: 
  minor code tweaks in GraphicsPathParser 

  * src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/Makefile.am, src/XMLParser.cpp, src/XMLParser.hpp, 
    tests/DvisvgmSpecialTest.cpp: 
  moved XMLParser from DvisvgmSpecialHandler to separate class 

  * src/XMLParser.cpp: 
  parse and reformat definitions of raw graphics paths 

2022-06-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.hpp, src/optimizer/GroupCollapser.cpp: 
  optimizer: improved removal of redundant group elements 

  * src/XMLNode.cpp, src/XMLNode.hpp, src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/GroupCollapser.cpp, 
    src/optimizer/TextSimplifier.cpp: 
  moved inheritability check of attributes to Attribute struct 

2022-06-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp: 
  ensure proper representation of empty glyphs in SFD files 

2022-06-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FontManager.cpp: 
  ignore letter case when looking up file suffixes 

  * src/FileFinder.cpp: 
  MiKTeX: handle lookup of TrueType files similar to kpathsea
Look for 
  .ttf, .ttc, and .dfont suffixes 

  * src/FontManager.cpp: 
  XFontDef: lookup font formats rather than specific suffixes 

2022-06-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontManager.cpp: 
  XFontDef: added support for font filenames without suffix 

2022-05-18  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  Removed paragraph about Ghostscript's new PDF interpreter

because the 
  old interpreter is still available in recent GS releases and can be 
  reactivated by dvisvgm. 

2022-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.13.4 

  * NEWS: 
  updated NEWS 

2022-04-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp: 
  updated URL to GS documentation of -dNEWPDF 

2022-04-01  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_cxx_compile_stdcxx.m4: 
  updated ax_cxx_compile_stdcxx.m4 to version 14 

2022-03-31  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated FreeType to version 2.12 

2022-03-30  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated zlib to version 1.2.12 

  * src/PSInterpreter.cpp: 
  disable new PDF interpreter when using GS >= 9.56.0 

2022-03-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/ImageToSVG.cpp: 
  reset bounding box before converting next PDF page
closes #182 

2022-02-27  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.13.3 

  * NEWS: 
  updated NEWS 

2022-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, src/optimizer/ClipPathReassigner.cpp, 
    src/optimizer/ClipPathReassigner.hpp, src/optimizer/Makefile.am, 
    src/optimizer/SVGOptimizer.cpp: 
  added optimizer module to remove identical clipPath elements 

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, src/optimizer/SVGOptimizer.cpp: 
  renamed optimizer module 'remove-clippath' to 'remove-clippaths' 

  * src/optimizer/Makefile.am: 
  added missing include path 

2022-02-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp: 
  avoid adding clip-path attributes to all elements created from EPS/PDF 
  files 

2022-02-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  moved 'transform' attribute of 'svg' element to wrapping group
closes 
  #178 

  * src/PsSpecialHandler.cpp: 
  properly wrap 'svg' element with group 

2022-02-22  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.13.2 

  * NEWS: 
  updated NEWS 

2022-02-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  removed redundant space is PS code 

  * src/BoundingBox.cpp, src/BoundingBox.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/PSPattern.cpp, src/PsSpecialHandler.cpp, src/SVGTree.cpp, 
    tests/BoundingBoxTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/PapersizeSpecialTest.cpp: 
  renamed BoundingBox::toSVGViewBox to BoundingBox::svgViewBoxString 

2022-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  use overflow='hidden' to clip included EPS/PDF graphics 

2022-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.13.1 

  * NEWS: 
  updated NEWS 

  * README.md: 
  added Copr status badge to README 

2022-01-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSPattern.cpp: 
  added explicit std::move to fix build issues with older compilers
closes 
  #173 

2022-01-24  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  removed Travis badge from README 

  * libs/xxHash/xxhash.h: 
  do no longer depend on <assert.h> for 
  XXH_STATIC_ASSERT
https://github.com/Cyan4973/xxHash/commit/6189ecd3d44a693460f86280ccf49d33cb4b18e1 

2022-01-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  apply bounding box parameters given with pdffile special
closes #174 

  * src/DvisvgmSpecialHandler.cpp: 
  added evaluation of {?(...)} to dvisvgm:rawdef special
closes #175 

2022-01-19  Martin Gieseking  <martin.gieseking@uos.de>

  * .github/workflows/c-cpp.yml: 
  CI: ensure latest package updates are installed 

  * README.md: 
  updated README 

2022-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in: 
  reworded some sentences of the manual page
closes #159 

  * .appveyor.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.13 

2022-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2022-01-11  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-db-refentry.xsl, 
    doc/tweak-dblatex-pdf.xsl, libs/Makefile.am, 
    libs/ff-woff/fontforge/tmpfile2.cpp, src/AGLTable.hpp, 
    src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.hpp, src/Bitmap.cpp, src/Bitmap.hpp, 
    src/BoundingBox.cpp, src/BoundingBox.hpp, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CLOption.hpp, src/CMap.cpp, src/CMap.hpp, 
    src/CMapManager.cpp, src/CMapManager.hpp, src/CMapReader.cpp, 
    src/CMapReader.hpp, src/Calculator.cpp, src/Calculator.hpp, 
    src/CharMapID.cpp, src/CharMapID.hpp, src/Character.hpp, src/Color.cpp, 
    src/Color.hpp, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/Directory.cpp, src/Directory.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EPSFile.cpp, src/EPSFile.hpp, src/EPSToSVG.hpp, 
    src/EllipticalArc.cpp, src/EllipticalArc.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HashFunction.cpp, src/HashFunction.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/HyperlinkManager.cpp, src/HyperlinkManager.hpp, src/ImageToSVG.cpp, 
    src/ImageToSVG.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/MD5HashFunction.hpp, src/Makefile.am, 
    src/MapLine.cpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.cpp, src/Message.hpp, src/MessageException.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.hpp, src/Opacity.cpp, 
    src/Opacity.hpp, src/PDFParser.cpp, src/PDFParser.hpp, src/PDFToSVG.hpp, 
    src/PSFilter.hpp, src/PSInterpreter.cpp, src/PSInterpreter.hpp, 
    src/PSPattern.cpp, src/PSPattern.hpp, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.hpp, src/PageRanges.cpp, src/PageRanges.hpp, 
    src/PageSize.cpp, src/PageSize.hpp, src/Pair.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PathClipper.cpp, src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGElement.cpp, src/SVGElement.hpp, src/SVGOutput.cpp, 
    src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SourceInput.cpp, src/SourceInput.hpp, 
    src/SpecialActions.hpp, src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, src/StreamReader.cpp, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/System.cpp, src/System.hpp, src/TFM.cpp, 
    src/TFM.hpp, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, src/Terminal.cpp, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, src/TrueTypeFont.cpp, 
    src/TrueTypeFont.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/XXHashFunction.hpp, src/ZLibOutputStream.hpp, 
    src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, 
    src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/DependencyGraph.hpp, 
    src/optimizer/GroupCollapser.cpp, src/optimizer/GroupCollapser.hpp, 
    src/optimizer/OptimizerModule.hpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/RedundantElementRemover.hpp, 
    src/optimizer/SVGOptimizer.cpp, src/optimizer/SVGOptimizer.hpp, 
    src/optimizer/TextSimplifier.cpp, src/optimizer/TextSimplifier.hpp, 
    src/optimizer/TransformSimplifier.cpp, 
    src/optimizer/TransformSimplifier.hpp, src/optimizer/WSNodeRemover.cpp, 
    src/optimizer/WSNodeRemover.hpp, src/options.dtd, src/options.xml, 
    src/psdefs.cpp, src/utility.cpp, src/utility.hpp, src/version.hpp.in, 
    src/windows.hpp, tests/BezierTest.cpp, tests/BitmapTest.cpp, 
    tests/BoundingBoxTest.cpp, tests/CMapManagerTest.cpp, 
    tests/CMapReaderTest.cpp, tests/CMapTest.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DVIReaderTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EllipticalArcTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontCacheTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/GhostscriptTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/HashFunctionTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PDFParserTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/StringMatcherTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/UtilityTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl, tests/testmain.cpp: 
  updated year in copyright statements to 2022 

2022-01-10  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  don't build manpage in parallel
closes #171 

2021-12-05  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/enc/encode.c: 
  fixed parameter type warning in Brotli library 

2021-12-04  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated Windows platform toolset to version 143 

2021-12-03  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, src/dvisvgm.cpp: 
  allow for conversion of multiple given EPS files 

  * src/DVIToSVG.cpp: 
  fixed setting of hash algorithm given on command-line 

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/dvisvgm.cpp: 
  added variables n and N to option --output 

2021-12-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp: 
  replaced deprecated std::ptr_fun 

2021-11-30  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxh3.h, libs/xxHash/xxhash.h: 
  updated xxHash to version 0.8.1 

  * doc/dvisvgm.1, doc/dvisvgm.txt.in: 
  manpage: extended introduction of section 'supported specials' 

2021-11-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/FontEngine.cpp, src/FontEngine.hpp: 
  use glyph metrics from font file to compute height and depth 

  * doc/dvisvgm.1, doc/dvisvgm.txt.in: 
  manpage: slightly changed wording regarding the bgcolor handler 

2021-11-02  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml: 
  removed Travis configuration 

2021-10-30  Naveen M K  <naveen521kk@gmail.com>

  * src/FileSystem.cpp: 
  mingw: fix for gcc 11 

2021-09-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.cpp, src/optimizer/GroupCollapser.hpp, 
    src/optimizer/SVGOptimizer.cpp: 
  simplify transform attributes only if 'simplify-transform' is given 

2021-09-12  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/UtilityTest.cpp: 
  prevent creating temporaries in test loop 

2021-09-07  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/gtest/include/gtest/gtest-death-test.h, 
    tests/gtest/include/gtest/gtest-matchers.h, 
    tests/gtest/include/gtest/gtest-message.h, 
    tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-test-part.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/gtest_pred_impl.h, 
    tests/gtest/include/gtest/gtest_prod.h, 
    tests/gtest/include/gtest/internal/custom/gtest-port.h, 
    tests/gtest/include/gtest/internal/custom/gtest-printers.h, 
    tests/gtest/include/gtest/internal/custom/gtest.h, 
    tests/gtest/include/gtest/internal/gtest-death-test-internal.h, 
    tests/gtest/include/gtest/internal/gtest-filepath.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/include/gtest/internal/gtest-string.h, 
    tests/gtest/include/gtest/internal/gtest-type-util.h, 
    tests/gtest/src/gtest-death-test.cc, tests/gtest/src/gtest-filepath.cc, 
    tests/gtest/src/gtest-internal-inl.h, tests/gtest/src/gtest-matchers.cc, 
    tests/gtest/src/gtest-port.cc, tests/gtest/src/gtest-printers.cc, 
    tests/gtest/src/gtest-test-part.cc, tests/gtest/src/gtest-typed-test.cc, 
    tests/gtest/src/gtest.cc, tests/gtest/src/gtest_main.cc, 
    tests/testutil.hpp: 
  updated gtest to version 1.11 

2021-08-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.cpp, src/optimizer/GroupCollapser.hpp: 
  GroupCollapser: simplify transform attributes after combining them 

2021-08-16  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.12 

  * NEWS: 
  updated NEWS 

2021-08-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  skip fill actions if colorspace with unsupported pattern type is active 

2021-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  ensure adding color attribute to tiling patterns
(closes #158) 

2021-07-19  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated FreeType to version 2.11 

2021-07-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp: 
  prevent out-of-bounds access 

  * src/InputBuffer.hpp: 
  delete unused assignment operator 

2021-06-15  Martin Gieseking  <martin.gieseking@uos.de>

  * .gitattributes: 
  Update .gitattributes

marked all files in libs and its subfolders as 
  vendored code 

2021-06-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp: 
  fixed handling of root directories in file paths 

  * src/FilePath.cpp, src/FileSystem.cpp, tests/FilePathTest.cpp: 
  improved handling of drive letters on Windows 

2021-06-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  fixed displaced graphics if PDF MediaBox isn't located at origin 

  * tests/data/Makefile.am: 
  added missing test data file to Makefile 

2021-06-10  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_cxx_compile_stdcxx.m4: 
  ax_cxx_compile_stdcxx.m4 to version 12 

2021-05-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.hpp: 
  simplified boolean expression 

  * src/Font.hpp, src/SVGCharPathHandler.cpp: 
  removed default parameter from virtual methods 

2021-05-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSPattern.hpp, src/PsSpecialHandler.cpp: 
  removed dynamic casting in processing of PS patterns 

  * src/PdfSpecialHandler.cpp: 
  replaced dynamic_cast with static_cast as type is unambiguous 

  * src/TensorProductPatch.cpp, src/TriangularPatch.cpp: 
  replaced dynamic casts of shading patches with PS type comparisons 

  * src/CMapManager.cpp: 
  replaced dynamic cast of CMap type test with existing method 
  mapsToUnicode() 

2021-05-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/Font.cpp, src/Font.hpp, src/FontEngine.cpp, src/FontManager.cpp, 
    src/SVGCharHandler.cpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGTree.cpp, src/utility.hpp, 
    tests/FontManagerTest.cpp, tests/data/lmmono12-regular.otf: 
  added font_cast to replace dynamic casts of Font pointers 

2021-05-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/FontMetrics.hpp, src/JFM.hpp: 
  replaced dynamic cast to test for JFM with dedicated method 

2021-04-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  fixed PS error thrown when trying to set a shading pattern 

  * src/PsSpecialHandler.cpp, src/SVGElement.cpp, src/SVGElement.hpp: 
  always add fill attribute to pattern paths 

2021-04-10  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in: 
  reworded few parts of the manual page 

2021-04-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  restore proper context node at end of pattern definition 

2021-03-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  use std::equal to check equality of GraphicsPaths 

  * src/EllipticalArc.cpp, src/Matrix.cpp, src/Matrix.hpp, 
    tests/MatrixTest.cpp: 
  Matrix: added default constructor; explicit init list constructor 

  * src/GFReader.cpp, src/Message.cpp, src/VectorIterator.hpp: 
  removed redundant index checks 

  * src/DVIToSVG.cpp, src/DVIToSVG.hpp: 
  initialize basic members outside constructor body 

  * src/DvisvgmSpecialHandler.cpp: 
  two small code improvements 

  * src/FontManager.cpp: 
  removed redundant check 

  * src/GFGlyphTracer.cpp, src/GFGlyphTracer.hpp, src/HyperlinkManager.hpp, 
    src/PSInterpreter.cpp, src/PsSpecialHandler.cpp: 
  added missing const to reference parameters 

  * src/InputBuffer.hpp: 
  prevent unwanted copying of input buffers 

2021-03-15  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1: 
  fixed typo in manual 

  * src/PSInterpreter.cpp: 
  fixed expression to check current GS running mode 

  * src/SVGSingleCharTextHandler.cpp: 
  reset change flag of color and opacity properties unconditionally 

  * src/SVGCharTspanTextHandler.cpp: 
  create initial tspan if opacity values differ from defaults 

  * src/Ghostscript.cpp, src/Ghostscript.hpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  update opacity settings on grestore
Requires GS >= 9.52 because earlier 
  versions only provide operators to set the
opacity/blendmode values and 
  none to retrieve them. 

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.hpp, 
    src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  renamed PS operator setisshapealpha 

  * src/dvisvgm.cpp: 
  added missing parenthesis in info message 

2021-03-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.cpp, src/optimizer/TextSimplifier.cpp: 
  minor loop optimizations 

  * src/XMLNode.cpp: 
  don't create newlines inside text elements
since they may lead to 
  additional whitespace, e.g. between tspans that lack absolute coordinates 

  * src/SVGCharPathHandler.cpp, src/SVGElement.cpp, src/SVGElement.hpp: 
  don't add style attributes to groups because they're not inheritable 

2021-03-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am, src/Opacity.cpp, src/Opacity.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  combined alpha and blendmode values into dedicated class 

  * src/SVGCharHandler.hpp: 
  added default and move constructor to CharProperty 

  * src/DVIToSVGActions.hpp, src/ImageToSVG.hpp, src/Opacity.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SVGCharHandler.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGTree.hpp, src/SpecialActions.hpp: 
  added opacity properties to text elements 

  * src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharTspanTextHandler.cpp, 
    src/SVGSingleCharTextHandler.cpp: 
  added shorthand operator for CharProperty::get() 

  * src/Opacity.hpp, src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  PS handler: replaced isolated opacity variables with Opacity class 

  * src/Makefile.am, src/Opacity.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/SVGElement.cpp, src/SVGElement.hpp, 
    src/XMLNode.hpp: 
  added class to handle SVG attributes in a uniform manner 

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.cpp, src/HyperlinkManager.cpp, src/ImageToSVG.hpp, 
    src/PSPattern.cpp, src/PsSpecialHandler.cpp, src/SVGCharHandler.cpp, 
    src/SVGCharHandler.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.hpp, src/SVGCharTspanTextHandler.cpp, 
    src/SVGCharTspanTextHandler.hpp, src/SVGElement.cpp, src/SVGElement.hpp, 
    src/SVGSingleCharTextHandler.cpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/SpecialActions.hpp, src/TpicSpecialHandler.cpp, 
    tests/TpicSpecialTest.cpp: 
  added opacity properties to graphics elements created outside the PS 
  handler
(closes #148) 

  * src/EmSpecialHandler.cpp, src/SVGElement.cpp, src/SVGElement.hpp, 
    src/TpicSpecialHandler.cpp, tests/EmSpecialTest.cpp, 
    tests/TpicSpecialTest.cpp: 
  unified handling of "point" attributes 

  * src/EmSpecialHandler.cpp, src/SVGCharHandler.cpp, 
    src/SVGCharPathHandler.cpp, src/SVGElement.cpp, src/SVGTree.cpp, 
    src/TpicSpecialHandler.cpp: 
  removed redundant casts to XMLString 

2021-03-05  Martin Gieseking  <martin.gieseking@uos.de>

  * .github/workflows/c-cpp.yml: 
  added GitHub CI configuration 

  * .github/workflows/c-cpp.yml: 
  removed distcheck from CI 

  * README.md: 
  added GitHub CI badge; removed Copr badge 

2021-03-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BoundingBox.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/EllipticalArc.cpp, 
    src/EmSpecialHandler.cpp, src/FontCache.cpp, src/FontEngine.cpp, 
    src/FontManager.cpp, src/FontWriter.cpp, src/PSInterpreter.cpp, 
    src/PapersizeSpecialHandler.cpp, src/RangeMap.cpp, src/Subfont.cpp, 
    src/TpicSpecialHandler.cpp, src/TrueTypeFont.cpp, src/XMLDocument.cpp, 
    src/XMLNode.cpp, src/dvisvgm.cpp, src/utility.cpp: 
  avoid copying objects in emplace methods 

2021-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * .gitignore: 
  added .pyc to ignored file suffixes 

2021-02-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp, src/FileSystem.cpp, src/FileSystem.hpp: 
  improved handling of differing drive letters in Windows file paths 

2021-01-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  fixed typo in manual 

2021-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/tweak-dblatex-tex.py: 
  updated tweak-dblatex-tex to Python 3 

2021-01-21  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.11.1 

  * NEWS: 
  updated NEWS 

2021-01-03  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.1, doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, 
    doc/tweak-db-refentry.xsl, doc/tweak-dblatex-pdf.xsl, libs/Makefile.am, 
    libs/ff-woff/fontforge/tmpfile2.cpp, src/AGLTable.hpp, 
    src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.hpp, src/Bitmap.cpp, src/Bitmap.hpp, 
    src/BoundingBox.cpp, src/BoundingBox.hpp, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CLOption.hpp, src/CMap.cpp, src/CMap.hpp, 
    src/CMapManager.cpp, src/CMapManager.hpp, src/CMapReader.cpp, 
    src/CMapReader.hpp, src/Calculator.cpp, src/Calculator.hpp, 
    src/CharMapID.cpp, src/CharMapID.hpp, src/Character.hpp, src/Color.cpp, 
    src/Color.hpp, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/Directory.cpp, src/Directory.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EPSFile.cpp, src/EPSFile.hpp, src/EPSToSVG.hpp, 
    src/EllipticalArc.cpp, src/EllipticalArc.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HashFunction.cpp, src/HashFunction.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/HyperlinkManager.cpp, src/HyperlinkManager.hpp, src/ImageToSVG.cpp, 
    src/ImageToSVG.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/MD5HashFunction.hpp, src/Makefile.am, 
    src/MapLine.cpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.cpp, src/Message.hpp, src/MessageException.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.hpp, src/PDFParser.cpp, 
    src/PDFParser.hpp, src/PDFToSVG.hpp, src/PSFilter.hpp, 
    src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/Pair.hpp, src/PapersizeSpecialHandler.cpp, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SourceInput.cpp, src/SourceInput.hpp, 
    src/SpecialActions.hpp, src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, src/StreamReader.cpp, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/System.cpp, src/System.hpp, src/TFM.cpp, 
    src/TFM.hpp, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, src/Terminal.cpp, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, src/TrueTypeFont.cpp, 
    src/TrueTypeFont.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/XXHashFunction.hpp, src/ZLibOutputStream.hpp, 
    src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, 
    src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/DependencyGraph.hpp, 
    src/optimizer/GroupCollapser.cpp, src/optimizer/GroupCollapser.hpp, 
    src/optimizer/OptimizerModule.hpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/RedundantElementRemover.hpp, 
    src/optimizer/SVGOptimizer.cpp, src/optimizer/SVGOptimizer.hpp, 
    src/optimizer/TextSimplifier.cpp, src/optimizer/TextSimplifier.hpp, 
    src/optimizer/TransformSimplifier.cpp, 
    src/optimizer/TransformSimplifier.hpp, src/optimizer/WSNodeRemover.cpp, 
    src/optimizer/WSNodeRemover.hpp, src/options.dtd, src/options.xml, 
    src/psdefs.cpp, src/utility.cpp, src/utility.hpp, src/version.hpp, 
    src/version.hpp.in, src/windows.hpp, tests/BezierTest.cpp, 
    tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CalculatorTest.cpp, tests/ColorSpecialTest.cpp, 
    tests/ColorTest.cpp, tests/CommandLineTest.cpp, tests/DVIReaderTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EllipticalArcTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontCacheTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/GhostscriptTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/HashFunctionTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PDFParserTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/StringMatcherTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/UtilityTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl, tests/testmain.cpp: 
  updated year in copyright statements to 2021 

2020-12-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp, tests/CalculatorTest.cpp: 
  fixed a comment and added minor calculator tests 

  * src/Calculator.cpp, src/Calculator.hpp, tests/CalculatorTest.cpp: 
  use variant type for token objects in class Calculator 

2020-12-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp: 
  renamed some local variables 

2020-12-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp: 
  ensure unambiguity of GID to charcode mappings
(fixes #147) 

  * src/Font.cpp, src/FontEngine.cpp, src/FontEngine.hpp: 
  Renamed FontEngine::buildCharMap() 

2020-11-28  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.11 

  * NEWS: 
  updated NEWS 

2020-11-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/DVIReader.cpp, 
    src/DVIReader.hpp: 
  moved low-level DVIReader functions to BasicDVIReader
and some code 
  cleanup 

  * src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/DVIReader.cpp, 
    src/DVIToSVG.cpp, src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.hpp: 
  process mapline specials before fontdefs
to ensure all mapline 
  definitions are present when registering fonts 

2020-11-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontMap.cpp, src/Subfont.cpp, src/Subfont.hpp, 
    tests/SubfontTest.cpp: 
  SubfontDefinition: replaced reference parameter with return value 

2020-11-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.cpp, src/CMap.hpp, src/Font.cpp, src/FontEncoding.cpp, 
    src/FontEncoding.hpp: 
  keep selected Unicode fontmap if assigned CMap maps to Unicode 

  * src/DVIReader.cpp, src/FontManager.cpp, src/FontManager.hpp: 
  added fallback for missing characters in JFM-based virtual fonts
(closes 
  #144) 

2020-11-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Unicode.cpp, src/Unicode.hpp, tests/UnicodeTest.cpp: 
  added functions to convert surrogate pairs 

  * src/CMap.cpp, src/CMap.hpp, src/CMapReader.cpp: 
  consider surrogates when reading CMap files 

2020-10-21  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated FreeType to version 2.10.4 

2020-10-10  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated FreeType to version 2.10.3 

2020-09-22  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.10.1 

  * NEWS: 
  updated NEWS 

2020-09-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  added support for new GS transparency operators
.setfillconstantalpha 
  and .setstrokeconstantalpha 

2020-09-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp: 
  renamed local variable 

2020-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/common/version.h: 
  updated brotli to version 1.0.9
the encoder is not affected by this 
  update so the bundled subset
only bumps the version number. 

2020-08-26  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/Makefile.am, libs/brotli/common/constants.c, 
    libs/brotli/common/constants.h, libs/brotli/common/context.c, 
    libs/brotli/common/context.h, libs/brotli/common/dictionary.c, 
    libs/brotli/common/platform.c, libs/brotli/common/platform.h, 
    libs/brotli/common/transform.c, libs/brotli/common/transform.h, 
    libs/brotli/common/version.h, libs/brotli/enc/backward_references.c, 
    libs/brotli/enc/backward_references.h, 
    libs/brotli/enc/backward_references_hq.c, 
    libs/brotli/enc/backward_references_hq.h, 
    libs/brotli/enc/backward_references_inc.h, 
    libs/brotli/enc/block_splitter.c, libs/brotli/enc/block_splitter_inc.h, 
    libs/brotli/enc/brotli_bit_stream.c, libs/brotli/enc/cluster_inc.h, 
    libs/brotli/enc/command.c, libs/brotli/enc/command.h, 
    libs/brotli/enc/compress_fragment_two_pass.c, 
    libs/brotli/enc/dictionary_hash.c, libs/brotli/enc/dictionary_hash.h, 
    libs/brotli/enc/encode.c, libs/brotli/enc/encoder_dict.c, 
    libs/brotli/enc/encoder_dict.h, libs/brotli/enc/entropy_encode.c, 
    libs/brotli/enc/entropy_encode.h, libs/brotli/enc/fast_log.c, 
    libs/brotli/enc/fast_log.h, libs/brotli/enc/find_match_length.h, 
    libs/brotli/enc/hash.h, libs/brotli/enc/hash_composite_inc.h, 
    libs/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/brotli/enc/hash_longest_match64_inc.h, 
    libs/brotli/enc/hash_longest_match_inc.h, 
    libs/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/brotli/enc/hash_rolling_inc.h, 
    libs/brotli/enc/hash_to_binary_tree_inc.h, libs/brotli/enc/memory.h, 
    libs/brotli/enc/metablock.c, libs/brotli/enc/metablock_inc.h, 
    libs/brotli/enc/params.h, libs/brotli/enc/ringbuffer.h, 
    libs/brotli/enc/utf8_util.c, libs/brotli/enc/write_bits.h, 
    libs/brotli/include/brotli/encode.h, libs/brotli/include/brotli/port.h: 
  updated brotli to version 1.0.8 

2020-08-23  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in: 
  manpage: few additions to --bbox and --font-format 

2020-08-22  Martin Gieseking  <martin.gieseking@uos.de>

  * .mailmap: 
  removed redundant file 

2020-08-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  updated GS versioning scheme introduced with GS 
  9.53.0
http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=0e98e2a27ed19fcc138215afe17ab1a173aeed7b 

2020-08-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.10 

  * NEWS: 
  updated NEWS 

2020-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, libs/xxHash/xxh3.h, 
    libs/xxHash/xxhash.h: 
  updated xxHash to version 0.8 

2020-07-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  redefine internal GS operators .fillstroke and .eofillstroke
They are 
  used to implement PDF operators B and B*.
(closes #139) 

2020-07-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/TransformSimplifier.cpp: 
  don't unwind transform attributes of image elements 

  * src/optimizer/GroupCollapser.cpp: 
  collapse groups w/o attributes first
in order to recurse into their 
  descendants. 

  * src/optimizer/TransformSimplifier.cpp: 
  optimizer: unwind transform attributes of image elements
if it consists 
  only of scaling and translations. Merge the scaled translation
into x and 
  y, and simplify the remaining matrix(...) expression to scale(...) 

2020-07-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.hpp, src/optimizer/GroupCollapser.cpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/WSNodeRemover.cpp: 
  renamed XMLNode::remove to XMLNode::detach 

2020-07-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.cpp: 
  don't move inner transforms to outer clipping paths 

  * src/XMLNode.cpp: 
  fixed XMLElement::unwrap 

  * src/optimizer/GroupCollapser.cpp: 
  improved optimizer module GroupCollapser 

2020-07-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/SVGOptimizer.cpp: 
  simplify transforms before optimizing groups 

  * src/DvisvgmSpecialHandler.cpp: 
  fixed error message about invalid closing tags 

  * src/DVIToSVGActions.cpp: 
  handle XML parser errors thrown in EOP 

  * src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp: 
  reduced number of successive XML error messages 

  * src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp: 
  renamed XMLParser::flush to XMLParser::finish 

2020-07-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp, src/HashFunction.cpp, src/HashFunction.hpp, 
    src/MD5HashFunction.hpp, src/XXHashFunction.hpp, 
    tests/HashFunctionTest.cpp: 
  renamed HashFunction::digestValue() to HashFunction::digestBytes() 

  * src/XXHashFunction.hpp: 
  added XXHashFunction::digestValue() to get the value as encoded by 
  xxhash 

  * src/FileSystem.cpp, src/FileSystem.hpp: 
  create dedicated temp folders with each call of dvisvgm 

2020-06-25  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxh3.h, libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxHash to version 0.7.4 

2020-06-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DvisvgmSpecialHandler.cpp, tests/DvisvgmSpecialTest.cpp: 
  fixed computation of string boundaries after expanding {?(...)}
(closes 
  #136) 

2020-05-09  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  updated FreeType to version 2.10.2 

2020-05-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  fixed indentation 

2020-04-24  John Bowman  <bowman@ualberta.ca>

  * src/dvisvgm.cpp: 
  Fix indentation. 

2020-04-23  John Bowman  <bowman@ualberta.ca>

  * src/dvisvgm.cpp: 
  Return error codes to shell. 

2020-04-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PathClipper.cpp, src/PathClipper.hpp, src/PsSpecialHandler.cpp: 
  changed signature of PathClipper::intersect() 

  * src/PathClipper.cpp, src/PathClipper.hpp: 
  added unite operation to PathClipper 

  * src/GraphicsPath.hpp, src/PsSpecialHandler.cpp: 
  fixed handling of clippath/eoclip combinations 

2020-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp: 
  fixed bbox debug rectangles 

  * src/Font.cpp, src/Font.hpp: 
  added italic correction for fake slant 

  * src/DVIReader.cpp, src/DVIReader.hpp, src/FontManager.cpp: 
  added evaluation of LuaTeX native font definitions 

  * src/DVIReader.cpp: 
  minor code improvements 

2020-04-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  fixed PS operator 'eoclip' 

2020-03-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/TransformSimplifier.cpp: 
  optimizer: fixed omission of second scale() parameter 

2020-03-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp: 
  fixed parsing of "scale(s)"
fixes #131 

  * .appveyor.yml, .travis.yml, configure.ac, doc/dvisvgm.1, src/Doxyfile, 
    src/version.hpp: 
  set version to 2.9.1 

  * NEWS: 
  updated NEWS 

2020-03-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp, tests/CalculatorTest.cpp: 
  calculator: allow to omit '*' before '(' 

2020-03-19  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1, doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  added macro {?(expr)} to enable math expressions in raw specials
closes 
  #130 

2020-03-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/conf-dblatex-pdf.xsl, doc/dvisvgm.txt.in, 
    doc/generate-dvisvgm-sty.xsl, doc/tweak-dblatex-tex.py: 
  optimize line breaks and code blocks in pdf manpage 

2020-03-16  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/conf-dblatex-pdf.xsl: 
  small font changes in pdf version of manual page
- changed body font to 
  Source Serif Pro
- scaled monospace font by 0.9 

  * src/PageRanges.cpp, src/PageRanges.hpp: 
  removed redundant #includes 

  * src/NumericRanges.hpp: 
  replaced explicit iterator type with auto 

2020-03-13  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS and vc/README 

2020-03-12  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.1: 
  added generated man page to repo 

2020-03-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  fixed xshow, yshow, and xyshow for multi-byte characters 

2020-03-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp: 
  replaced istream::ignore() with istream::get()
to make gcc on NetBSD 
  happy 

  * .travis.yml: 
  travis: added packages required to build man page 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.9 

2020-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  create image files in tmpdir instead of cwd 

  * src/PsSpecialHandler.cpp: 
  fixed mime type of JPEG images 

  * src/utility.hpp: 
  base64_copy: added parameter to set line length 

  * src/XMLNode.cpp: 
  wrap lines with base64 image data (200 chars/line) 

  * doc/Makefile.am: 
  make install: use existing dvisvgm.1 if it can't be rebuilt
However, 
  "make dist" and "make distcheck" should still fail if the man page
can't 
  be built in order to ensure the tarball always contains a recent version. 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  some code cleanup 

2020-03-08  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/PSInterpreter.cpp: 
  added bitmap format 'none' to disable image processing 

2020-03-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp: 
  added image support for various JPEG and PNG variants 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/dvisvgm.cpp, 
    src/options.xml: 
  added command-line option --bitmap-format 

  * doc/generate-dvisvgm-sty.xsl: 
  manual page: reduce distance of table rows 

2020-03-05  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxh3.h, libs/xxHash/xxhash.c, libs/xxHash/xxhash.h, 
    tests/HashFunctionTest.cpp: 
  updated xxhash to version 0.7.3 

2020-03-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GlyphTracerMessages.hpp: 
  suppress tracer messages if no font info available 

  * src/MetafontWrapper.cpp, src/MetafontWrapper.hpp: 
  added fallback method to get GF resolution applied by Metafont 

2020-02-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  fixed potential segfault 

  * src/Bezier.cpp, src/BoundingBox.cpp, src/Font.cpp, src/FontWriter.cpp, 
    src/Matrix.cpp, src/TensorProductPatch.cpp, src/TriangularPatch.cpp: 
  replaced fabs() with std::abs() 

2020-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp: 
  fixed copy constructor of XMLElement 

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  fixed broken handling of PS tiling patterns 

  * src/PSPattern.cpp: 
  simplified loop expression 

  * src/XMLNode.cpp, src/optimizer/RedundantElementRemover.cpp: 
  don't remove clipPath elements if referenced in patterns 

  * src/PsSpecialHandler.cpp: 
  don't add clip path to path elements in pattern definitions 

2020-02-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  store image counter in globaldict 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/XMLNode.cpp, 
    src/XMLNode.hpp, src/dvisvgm.cpp: 
  don't keep encoded image data in memory
To prevent memory issues, add 
  the base64-encoded image data when serializing
the XML tree. 

  * src/PsSpecialHandler.cpp: 
  prevent access to invalid vector component 

  * src/XMLNode.cpp, src/XMLNode.hpp: 
  prevent deep destructor recursion of XML nodes 

  * src/psdefs.cpp: 
  PS handler: prevent write access to protected pattern dictionary 

2020-02-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  don't access DataSource for shading types < 4 

2020-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  apply clip path to image if present 

  * src/optimizer/TransformSimplifier.cpp: 
  TransformSimplifier: prevent width/height from getting negative 

  * src/Font.cpp, src/GraphicsPath.hpp, src/PsSpecialHandler.cpp, 
    tests/GraphicsPathTest.cpp: 
  changed signature of GraphicsPath::computeBBox() 

2020-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  image operator: reset output device correctly 

2020-02-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/psdefs.cpp: 
  stop image processing if PNG devices are unavailable
Handling of PS 
  operator 'image' relies on the GS output devices 'png16m' and
'pnggray' 
  (depending on the current color space). If they are unavailable, 
  the
image processing is stopped now instead of leaving GS with an 
  internal error. 

  * src/PsSpecialHandler.cpp: 
  adapt bounding box to enclose embedded bitmaps 

2020-02-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EPSToSVG.hpp, src/ImageToSVG.cpp, src/ImageToSVG.hpp, 
    src/PDFToSVG.hpp: 
  fixed getCurrentPageNumber() for EPS and PDF files 

  * src/FilePath.cpp, src/FilePath.hpp, tests/FilePathTest.cpp: 
  FilePath::suffix("") now removes the suffix if present 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/psdefs.cpp: 
  sync location and base name of temporary PNG files with SVG file 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/dvisvgm.cpp, 
    src/psdefs.cpp: 
  remove temporary PNG files if --keep is not given 

2020-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  added evaluation of PS Level 1 image operators 

2020-02-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, tests/MatrixTest.cpp: 
  fixed row/column issue in Matrix::invert() 

  * src/FontWriter.cpp, src/utility.hpp: 
  added wrapper function for util::base64_copy() 

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  added processing of PS image operator 

2020-02-12  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  manpage: added info on default values listed by --help 

2020-01-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPathParser.hpp, src/Makefile.am, 
    tests/GraphicsPathParserTest.cpp, tests/Makefile.am: 
  added class to parse SVG path commands 

2020-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  arcto: use template type for rx and ry instead of double 

2020-01-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PageSize.cpp: 
  replaced floor(x+0.5) with round(x) 

2020-01-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  added check for libgs.dylib.N (Mac only) 

2020-01-02  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-db-refentry.xsl, 
    doc/tweak-dblatex-pdf.xsl, libs/Makefile.am, 
    libs/ff-woff/fontforge/tmpfile2.cpp, src/AGLTable.hpp, 
    src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.hpp, src/Bitmap.cpp, src/Bitmap.hpp, 
    src/BoundingBox.cpp, src/BoundingBox.hpp, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CLOption.hpp, src/CMap.cpp, src/CMap.hpp, 
    src/CMapManager.cpp, src/CMapManager.hpp, src/CMapReader.cpp, 
    src/CMapReader.hpp, src/Calculator.cpp, src/Calculator.hpp, 
    src/CharMapID.cpp, src/CharMapID.hpp, src/Character.hpp, src/Color.cpp, 
    src/Color.hpp, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/Directory.cpp, src/Directory.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EPSFile.cpp, src/EPSFile.hpp, src/EPSToSVG.hpp, 
    src/EllipticalArc.cpp, src/EllipticalArc.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HashFunction.cpp, src/HashFunction.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/HyperlinkManager.cpp, src/HyperlinkManager.hpp, src/ImageToSVG.cpp, 
    src/ImageToSVG.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/MD5HashFunction.hpp, src/Makefile.am, 
    src/MapLine.cpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.cpp, src/Message.hpp, src/MessageException.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.hpp, src/PDFParser.cpp, 
    src/PDFParser.hpp, src/PDFToSVG.hpp, src/PSFilter.hpp, 
    src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/Pair.hpp, src/PapersizeSpecialHandler.cpp, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SourceInput.cpp, src/SourceInput.hpp, 
    src/SpecialActions.hpp, src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, src/StreamReader.cpp, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/System.cpp, src/System.hpp, src/TFM.cpp, 
    src/TFM.hpp, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, src/Terminal.cpp, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, src/TrueTypeFont.cpp, 
    src/TrueTypeFont.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/XXHashFunction.hpp, src/ZLibOutputStream.hpp, 
    src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, 
    src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/DependencyGraph.hpp, 
    src/optimizer/GroupCollapser.cpp, src/optimizer/GroupCollapser.hpp, 
    src/optimizer/OptimizerModule.hpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/RedundantElementRemover.hpp, 
    src/optimizer/SVGOptimizer.cpp, src/optimizer/SVGOptimizer.hpp, 
    src/optimizer/TextSimplifier.cpp, src/optimizer/TextSimplifier.hpp, 
    src/optimizer/TransformSimplifier.cpp, 
    src/optimizer/TransformSimplifier.hpp, src/optimizer/WSNodeRemover.cpp, 
    src/optimizer/WSNodeRemover.hpp, src/options.dtd, src/options.xml, 
    src/psdefs.cpp, src/utility.cpp, src/utility.hpp, src/version.hpp, 
    src/version.hpp.in, src/windows.hpp, tests/BezierTest.cpp, 
    tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CalculatorTest.cpp, tests/ColorSpecialTest.cpp, 
    tests/ColorTest.cpp, tests/CommandLineTest.cpp, tests/DVIReaderTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EllipticalArcTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontCacheTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/GhostscriptTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/HashFunctionTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PDFParserTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/StringMatcherTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/UtilityTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl, tests/testmain.cpp: 
  updated year in copyright statements to 2020 

2019-12-23  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  few additions to the manual page 

2019-12-07  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2019-12-06  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.8.2 

2019-12-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileSystem.cpp: 
  convert path separators only in Windows binaries 

  * src/Process.cpp: 
  Subprocess: handle absolute path to executable correctly 

  * src/FileFinder.cpp, src/FileFinder.hpp: 
  added FileFinder::lookupExecutable() 

  * src/MetafontWrapper.cpp: 
  call 'mf-nowin' instead of 'mf' if available (closes #121) 

2019-12-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp: 
  adapt path separators before passing them to Ghostscript
closes #123 

  * src/FilePath.cpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/PSInterpreter.cpp, src/PsSpecialHandler.cpp, src/dvisvgm.cpp: 
  renamed adaptPathSeperators() to ensureForwardSlashes() 

  * src/Calculator.hpp, src/CharMapID.hpp, src/Color.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/FixWord.hpp, src/FontStyle.hpp, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.hpp, src/GFReader.cpp, 
    src/GFReader.hpp, src/GFTracer.cpp, src/GFTracer.hpp, 
    src/GlyphTracerMessages.hpp, src/HtmlSpecialHandler.hpp, 
    src/HyperlinkManager.hpp, src/Length.hpp, src/NoPsSpecialHandler.hpp, 
    src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, src/PathClipper.hpp, 
    src/PreScanDVIReader.cpp, src/PreScanDVIReader.hpp, src/Process.cpp, 
    src/PsSpecialHandler.hpp, src/RangeMap.hpp, src/SVGOutput.cpp, 
    src/SVGOutput.hpp, src/SignalHandler.cpp, src/SignalHandler.hpp, 
    src/TFM.hpp, src/VFReader.cpp, src/VFReader.hpp, src/VectorStream.hpp: 
  simplified constructors, avoid constant initializers 

  * src/FileSystem.cpp, src/FileSystem.hpp: 
  removed redundant class variable 

  * src/MiKTeXCom.cpp: 
  fixed type mismatch of FindFile expression 

2019-12-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  fixed handling of 'nulldevice' in PS operator 'restore'
closes #122 

2019-11-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  added missing namespace prefix to pow() 

2019-11-14  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README.md: 
  updated NEWS and README 

2019-11-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.8.1 

  * doc/dvisvgm.txt.in: 
  some minor changes of the manual page 

2019-11-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  added newline at end of file 

2019-11-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.hpp: 
  made GroupCollapser::moveAttributes() static 

  * doc/dvisvgm.txt.in, src/optimizer/Makefile.am, 
    src/optimizer/SVGOptimizer.cpp, src/optimizer/TextSimplifier.cpp, 
    src/optimizer/TextSimplifier.hpp: 
  added optimizer module TextSimplifier 

  * doc/dvisvgm.txt.in, src/XMLNode.hpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/TextSimplifier.cpp: 
  extended functionality of optimizer module 'simplify-text'
- common 
  attributes of tspans are moved to the enclosing text element
- tspans 
  without attributes are unwrapped 

2019-11-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp: 
  removed some constant initializers from constructors 

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/EmSpecialHandler.cpp, src/PSInterpreter.cpp, src/PSInterpreter.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SpecialActions.hpp, src/TpicSpecialHandler.cpp, src/psdefs.cpp, 
    tests/PSInterpreterTest.cpp: 
  added support for PS operator 'nulldevice' 

2019-10-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  added PNG, JPEG, and SVG to supported formats of FileFinder 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  psfile: create absolute or relative paths to reference images
depending 
  on the file location and the file path given by the user 

2019-10-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp, src/FilePath.hpp: 
  added method to check if a path is absolute or relative 

2019-10-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapReader.cpp, src/CMapReader.hpp, tests/CMapReaderTest.cpp: 
  CMapReader: extracted common code; added test for 'begincidchar' 

2019-10-25  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/create-makefile: 
  added missing gtest file to distribution 

  * tests/FontCacheTest.cpp: 
  remove temporary files created by FontCacheTest 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.8 

  * NEWS: 
  updated NEWS 

2019-10-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapReader.cpp, src/CMapReader.hpp: 
  CMapReader: added support for operator 'begincidchar' (patch by Akira 
  Kakuto) 

2019-10-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/FilePath.cpp, src/FilePath.hpp, 
    src/HyperlinkManager.cpp, src/ImageToSVG.cpp, src/ImageToSVG.hpp, 
    src/PDFToSVG.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/SpecialActions.hpp, tests/FilePathTest.cpp, tests/SVGOutputTest.cpp: 
  SVGOutput: renamed 'filename' to 'filepath'; changed return type to 
  FilePath 

2019-10-18  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/gtest/include/gtest/gtest-death-test.h, 
    tests/gtest/include/gtest/gtest-matchers.h, 
    tests/gtest/include/gtest/gtest-message.h, 
    tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-test-part.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/gtest_pred_impl.h, 
    tests/gtest/include/gtest/internal/gtest-death-test-internal.h, 
    tests/gtest/include/gtest/internal/gtest-filepath.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/include/gtest/internal/gtest-string.h, 
    tests/gtest/include/gtest/internal/gtest-type-util.h, 
    tests/gtest/src/gtest-all.cc, tests/gtest/src/gtest-death-test.cc, 
    tests/gtest/src/gtest-filepath.cc, tests/gtest/src/gtest-internal-inl.h, 
    tests/gtest/src/gtest-matchers.cc, tests/gtest/src/gtest-port.cc, 
    tests/gtest/src/gtest-printers.cc, tests/gtest/src/gtest-test-part.cc, 
    tests/gtest/src/gtest-typed-test.cc, tests/gtest/src/gtest.cc, 
    tests/gtest/src/gtest_main.cc, tests/testutil.hpp: 
  updated gtest to version 1.10 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  psfile: added support for PDF, JPG, PNG, and SVG files 

  * src/optimizer/TransformSimplifier.cpp, 
    src/optimizer/TransformSimplifier.hpp: 
  try to incorporate transformations into positional and size attributes 

  * src/PsSpecialHandler.cpp: 
  PS handler: minor code enhancements 

2019-10-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp: 
  call GS with -dDELAYSAFER if GS version >= 9.50
Ghostscript 9.50 
  introduced incompatible changes regarding SAFER which is now
active by 
  default. This conflicts with DELAYBIND and WRITESYSTEMDICT, which 
  are
necessary for dvisvgm to work 
  correctly.
https://www.ghostscript.com/doc/9.50/Use.htm#Safer 

  * tests/HashFunctionTest.cpp: 
  adapted XXH128 tests to changes in xxhash 0.7.2 

2019-10-08  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxh3.h, libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxhash to version 0.7.2 

2019-10-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EllipticalArc.cpp: 
  minor changes in EllipticalArc.cpp 

2019-09-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PathClipper.cpp: 
  prevent warnings about uninitialized variables 

2019-09-17  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/potrace/auxiliary.h, libs/potrace/bitmap.h, libs/potrace/config.h, 
    libs/potrace/curve.c, libs/potrace/curve.h, libs/potrace/decompose.c, 
    libs/potrace/decompose.h, libs/potrace/lists.h, 
    libs/potrace/potracelib.c, libs/potrace/potracelib.h, 
    libs/potrace/progress.h, libs/potrace/trace.c, libs/potrace/trace.h: 
  updated potrace to version 1.16 

  * src/Bitmap.cpp, src/Bitmap.hpp: 
  minor code cleanup of Bitmap class 

2019-09-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  renamed misspelled variables 'largeArgFlag' to 'largeArcFlag' 

  * src/EllipticalArc.cpp: 
  removed #include "debug.h" 

2019-09-03  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/src/glyph.cc, libs/woff2/src/normalize.cc: 
  fixed two compiler warnings in libwoff2
regarding signed/unsigned 
  comparison 

2019-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XXHashFunction.hpp, tests/HashFunctionTest.cpp: 
  simplified implementation of XXHashFunction::digestValue() and tests 

2019-08-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/StreamReader.cpp, src/StreamReader.hpp, src/VFReader.cpp, 
    tests/StreamReaderTest.cpp: 
  removed vector reference from StreamReader::readBytes() 

  * src/CRC32.cpp, src/CRC32.hpp, src/FontCache.cpp, src/FontCache.hpp, 
    src/HashFunction.cpp, src/HashFunction.hpp, src/Makefile.am, 
    src/StreamReader.cpp, src/StreamReader.hpp, src/StreamWriter.cpp, 
    src/StreamWriter.hpp, src/XXHashFunction.hpp, src/utility.hpp, 
    tests/CRC32Test.cpp, tests/FontCacheTest.cpp, tests/Makefile.am, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp: 
  replaced CRC32 cache checksums with XXH32 hashes 

2019-08-25  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, libs/xxHash/xxhash.h, src/HashFunction.cpp, 
    src/XXHashFunction.hpp, tests/HashFunctionTest.cpp: 
  added support for the experimental 128-bit XXH3 algorithm 

2019-08-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  avoid redundant sequences of closepath (z/Z) commands 

2019-08-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp, tests/GraphicsPathTest.cpp: 
  added short versions of 'quadto' and 'cubicto' to GraphicsPath 

2019-08-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp, tests/TpicSpecialTest.cpp: 
  use class EllipticalArc to process arcs in tpic handler 

2019-08-15  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/Makefile.am, libs/xxHash/xxh3.h, libs/xxHash/xxhash.c, 
    libs/xxHash/xxhash.h: 
  updated xxhash to version 0.7.1 

  * src/DVIToSVG.cpp: 
  print error message on wrong page hash arguments 

2019-08-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EllipticalArc.cpp, src/EllipticalArc.hpp, src/GraphicsPath.hpp, 
    tests/EllipticalArcTest.cpp, tests/GraphicsPathTest.cpp: 
  added GraphicsPath::approximateArcs() 

2019-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bezier.cpp, src/Bezier.hpp, src/EllipticalArc.cpp, 
    src/EllipticalArc.hpp, src/GraphicsPath.hpp, src/Makefile.am, 
    src/Pair.hpp, src/utility.cpp, src/utility.hpp, 
    tests/EllipticalArcTest.cpp, tests/Makefile.am: 
  added support of 'arcto' command to class GraphicsPath 

2019-08-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bezier.cpp, src/Bezier.hpp, src/PsSpecialHandler.cpp, 
    src/ShadingPatch.hpp, src/TensorProductPatch.cpp, 
    src/TensorProductPatch.hpp, src/TriangularPatch.cpp, 
    src/TriangularPatch.hpp, tests/BezierTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/TriangularPatchTest.cpp: 
  getBBox(): replaced reference parameter with return value 

  * src/PsSpecialHandler.cpp, src/ShadingPatch.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, 
    tests/TensorProductPatchTest.cpp, tests/TriangularPatchTest.cpp: 
  getBoundaryPath(): replaced reference parameter with return value 

2019-08-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Pair.hpp: 
  use std::hypot() to compute length of vector 

2019-08-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MD5HashFunction.hpp: 
  removed 'explicit' from default constructor
Work around for C++11 bug in 
  GCC 4.8:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58255 

  * src/FontCache.cpp, src/FontEngine.cpp, src/FontWriter.cpp, 
    src/GraphicsPath.hpp, src/Pair.hpp, src/PathClipper.cpp, 
    src/TpicSpecialHandler.cpp, src/optimizer/CMakeLists.txt, 
    src/optimizer/Makefile.am, tests/FontCacheTest.cpp, 
    tests/GraphicsPathTest.cpp: 
  redesigned implementation of class GraphicsPath
- use variant instances 
  to store path commands instead of plain structs
- process commands in 
  visitor objects
- removed GraphicsPath::Actions::draw() that exposed 
  implemenation details
- simplify iterate() method 

2019-07-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp: 
  use direct string concatenation instead of temporary string stream 

2019-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  added missing dependency to Makefile rule 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.7.4 

  * NEWS: 
  updated NEWS 

2019-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  moved generation of dvisvgm.sty to separate rule 

2019-07-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp: 
  use std::round to round color value (fixes #116) 

  * doc/Makefile.am, doc/dvisvgm.sty, doc/dvisvgm.txt.in, 
    doc/generate-dvisvgm-sty.xsl, doc/tweak-db-article.xsl, 
    doc/tweak-db-refentry.xsl: 
  show revision date given in doc/dvisvgm.txt on manual page
rather than 
  the build date 

2019-07-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TrueTypeFont.cpp: 
  call ofstream constructor with std::string instead of C string 

2019-07-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MetafontWrapper.cpp: 
  replaced atoi() with stoi() 

2019-07-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MetafontWrapper.cpp: 
  don't access moved string 

  * doc/dvisvgm.txt.in, src/dvisvgm.cpp: 
  changed cache location to $XDG_CACHE_HOME/dvisvgm
or ~/.cache/dvisvgm if 
  $XDG_CACHE_HOME is not set (closes #112) 

2019-07-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.7.3 

  * NEWS: 
  updated NEWS 

2019-07-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLString.cpp, src/utility.cpp, src/utility.hpp, 
    tests/UtilityTest.cpp: 
  added util::to_string(double) that strips trailing zeros
(in contrast to 
  std::to_string) 

  * src/CMapManager.cpp, src/CMapReader.cpp, src/DVIReader.cpp, 
    src/GFReader.cpp, src/JFM.cpp, src/Length.cpp, src/MapLine.cpp, 
    src/Matrix.cpp, src/PDFParser.cpp, src/SVGOutput.cpp, src/VFReader.cpp: 
  replaced some string streams with plain strings 

2019-07-08  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  updated badges in README 

  * src/Font.cpp, src/Font.hpp, src/dvisvgm.cpp: 
  changed type of CACHE_PATH to std::string 

2019-07-07  Martin Gieseking  <martin.gieseking@uos.de>

  * .github/FUNDING.yml: 
  added funding.yml 

2019-07-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  properly assign collected chars to unique fonts (fixes #110) 

2019-06-18  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  manpage: updated \special example 

2019-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp: 
  replaced string streams with plain strings 

2019-06-11  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/genhashcheck.py: 
  use range-based loop to iterate over C array 

2019-06-07  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.7.2 

  * NEWS: 
  updated NEWS 

2019-05-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  'GS_PDF_ProcSet' and 'pdfdict' are private as of GS 9.27
As a workaround 
  'runpdfbegin' and 'runpdfend' can be used to enter/leave the 
  dictionaries. 

2019-05-20  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.7.1 

  * NEWS: 
  updated NEWS 

2019-05-10  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .gitignore, src/MiKTeXCom.hpp: 
  added files required to access the MiKTeX session object 

2019-05-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  pop unused operand in PS operator 'setmatrix'  (closes #106) 

2019-04-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/AttributeExtractor.cpp, src/optimizer/GroupCollapser.cpp, 
    src/utility.hpp: 
  removed util::make_array() due to compatibility 
  issues
https://trac.macports.org/ticket/58347 

2019-04-17  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  updated URL of FontForge website 

2019-04-15  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  removed Coverity badge as the service seems to be dead 

2019-04-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  add file windows.hpp to source tarball 

2019-04-13  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.7 

  * NEWS: 
  updated NEWS 

2019-04-12  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp: 
  added specials "bbox lock" and "bbox unlock" to lock/unlock the page 
  bbox
(closes #105) 

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp: 
  added optional modifier 'transform' to the dvisvgm:bbox specials 

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp: 
  added macro {?matrix} to raw specials 

2019-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bezier.cpp, src/BoundingBox.hpp, src/CMap.hpp, src/CMapReader.hpp, 
    src/Character.hpp, src/Color.hpp, src/DLLoader.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, src/EPSFile.hpp, 
    src/EncFile.hpp, src/FilePath.hpp, src/Font.hpp, src/FontEncoding.hpp, 
    src/FontMap.hpp, src/FontWriter.cpp, src/FontWriter.hpp, 
    src/GFTracer.hpp, src/GlyphTracerMessages.hpp, src/GraphicsPath.hpp, 
    src/InputBuffer.hpp, src/InputReader.hpp, src/JFM.hpp, src/Length.hpp, 
    src/MD5HashFunction.hpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.hpp, src/PDFParser.cpp, src/PDFParser.hpp, src/PSPattern.hpp, 
    src/PSPreviewFilter.hpp, src/PageSize.hpp, src/Pair.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SVGCharHandler.hpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.hpp, src/SVGSingleCharTextHandler.hpp, 
    src/ShadingPatch.hpp, src/SourceInput.hpp, src/StreamReader.hpp, 
    src/StreamWriter.hpp, src/TFM.hpp, src/TensorProductPatch.hpp, 
    src/TriangularPatch.hpp, src/TrueTypeFont.hpp, src/VFReader.cpp, 
    src/VFReader.hpp, src/VectorIterator.hpp, src/VectorStream.hpp, 
    src/XMLDocument.hpp, src/XMLString.hpp, src/XXHashFunction.hpp, 
    src/optimizer/DependencyGraph.hpp: 
  marked most constructors 'explicit' if they may be called with a single 
  parameter 

  * src/DVIReader.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/Font.cpp, src/FontEngine.cpp, src/FontManager.cpp, 
    src/HyperlinkManager.cpp, src/ImageToSVG.cpp, src/PDFParser.hpp, 
    src/PSInterpreter.cpp, src/PdfSpecialHandler.cpp, 
    src/PsSpecialHandler.cpp, src/SVGCharHandler.cpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharTspanTextHandler.cpp, 
    src/SVGTree.cpp, src/TensorProductPatch.cpp, src/TriangularPatch.cpp, 
    src/TrueTypeFont.cpp: 
  use automatic type deduction in conjunction with casts 

  * src/EPSFile.cpp, src/EmSpecialHandler.cpp, src/EncFile.cpp, 
    src/InputReader.cpp, src/PSInterpreter.cpp, src/PsSpecialHandler.cpp, 
    src/SpecialManager.cpp, src/StreamReader.cpp, src/Subfont.cpp, 
    src/Unicode.cpp, src/dvisvgm.cpp: 
  explicitly cast integers representing characeters to char 

  * src/CLCommandLine.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EncFile.cpp, src/Font.cpp, 
    src/Font.hpp, src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, 
    src/Process.cpp, src/Process.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/Subfont.cpp, src/Subfont.hpp: 
  if possible, move string parameters instead of copying them 

  * src/Color.cpp, src/FontEngine.cpp, src/PathClipper.cpp: 
  use std::lround() rather than truncation 

  * src/DVIActions.hpp, src/DVIToSVGActions.hpp, src/Font.hpp, 
    src/PSInterpreter.cpp, src/SignalHandler.cpp, src/System.cpp: 
  replaced 0 and NULL with nullptr 

  * src/Message.cpp, src/Message.hpp: 
  drop 'const' from char parameter 

  * src/EPSFile.cpp: 
  replaced C array with std::array 

  * src/SpecialManager.hpp, src/ZLibOutputStream.hpp: 
  made deleted constructor public; use 'default' with default constructor 

  * src/PageSize.cpp: 
  removed redundant semicolons 

2019-04-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/RangeMap.cpp, tests/RangeMapTest.cpp: 
  use std::accumulate() to compute the number of values mapped by a 
  RangeMap 

2019-04-09  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  reworded some paragraphs on the manpage 

2019-04-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DvisvgmSpecialHandler.cpp, src/HtmlSpecialHandler.cpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/PsSpecialHandler.cpp, 
    tests/StreamInputBufferTest.cpp: 
  optionally allow 'flags' (attributes w/o values) in attribute lists 

  * src/PsSpecialHandler.cpp: 
  psfile/pdffile: evaluate boolean attribute 'clip'
If given, the drawing 
  region is clipped to the bounding box of the
EPS/PDF page being 
  processed.
(closes #104) 

  * .appveyor.yml: 
  AppVeyor: switched build image to VS 2019 Preview 

2019-04-04  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: updated release number of ttfautohint-dll 

  * m4/ax_cxx_compile_stdcxx.m4: 
  updated ax_cxx_compile_stdcxx.m4 to version 11 

2019-04-03  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: set freetype version to 2.10.0; use current image of VS 2017 
  again 

  * src/SVGTree.cpp: 
  fixed gcc 5 failure regarding initializer lists 

  * src/FileFinder.cpp: 
  pdffile special: look for pdf files in texmf tree too (closes #103) 

2019-04-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/optimizer/GroupCollapser.cpp: 
  group collapser: unwrap groups without attributes 

  * src/DVIToSVGActions.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EmSpecialHandler.cpp, 
    src/HyperlinkManager.cpp, src/ImageToSVG.hpp, src/PSPattern.cpp, 
    src/PsSpecialHandler.cpp, src/SpecialActions.hpp, 
    src/TpicSpecialHandler.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/TpicSpecialTest.cpp: 
  reduced interface of SpecialActions
- removed append/prepend and context 
  functions
- added direct access to the SVGTree object 

2019-03-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.hpp, src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/GroupCollapser.cpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/TransformSimplifier.cpp, src/optimizer/WSNodeRemover.cpp, 
    tests/BoundingBoxTest.cpp, tests/TpicSpecialTest.cpp, 
    tests/XMLNodeTest.cpp: 
  refactored the implementation of the XML node classes
for easier 
  modifications of the XML tree 

2019-03-30  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/Makefile.am: 
  added missing zlib include path to ff-woff 

  * src/CMapReader.cpp: 
  properly release memory if CMap throws an exception 

2019-03-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  skip redundant line drawing commands in path elements 

2019-03-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLString.cpp, tests/DVIReaderTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/MatrixTest.cpp: 
  replace "0." by "." in floating point numbers |x| < 1 

  * src/GraphicsPath.hpp, tests/GFGlyphTracerTest.cpp: 
  avoid redundant space characters in SVG paths 

  * src/GraphicsPath.hpp, tests/TpicSpecialTest.cpp: 
  take precision into account when checking for reflection points 

2019-03-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.hpp, tests/MatrixTest.cpp: 
  made Matrix::parse() a static member 

  * configure.ac, doc/dvisvgm.txt.in, src/CommandLine.hpp, src/DVIToSVG.cpp, 
    src/DependencyGraph.hpp, src/ImageToSVG.cpp, src/Makefile.am, 
    src/SVGOptimizer.cpp, src/SVGOptimizer.hpp, src/SVGTree.cpp, 
    src/XMLNode.cpp, src/dvisvgm.cpp, src/optimizer/AttributeExtractor.cpp, 
    src/optimizer/AttributeExtractor.hpp, src/optimizer/CMakeLists.txt, 
    src/optimizer/DependencyGraph.hpp, src/optimizer/GroupCollapser.cpp, 
    src/optimizer/GroupCollapser.hpp, src/optimizer/Makefile.am, 
    src/optimizer/OptimizerModule.hpp, 
    src/optimizer/RedundantElementRemover.cpp, 
    src/optimizer/RedundantElementRemover.hpp, 
    src/optimizer/SVGOptimizer.cpp, src/optimizer/SVGOptimizer.hpp, 
    src/optimizer/TransformSimplifier.cpp, 
    src/optimizer/TransformSimplifier.hpp, src/optimizer/WSNodeRemover.cpp, 
    src/optimizer/WSNodeRemover.hpp, src/options.xml, 
    tests/DependencyGraphTest.cpp, tests/Makefile.am, tests/create-makefile: 
  moved optimizer classes to subdirectory 

2019-03-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.hpp, src/PsSpecialHandler.cpp, 
    tests/MatrixTest.cpp: 
  swapped Matrix::lmultiply and Matrix::rmultiply 

  * src/Matrix.cpp, src/Matrix.hpp, src/SVGOptimizer.cpp, 
    src/SVGOptimizer.hpp, src/utility.hpp, tests/MatrixTest.cpp: 
  added optimizer to simplify 'transform' attributes 

2019-03-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGOptimizer.cpp, src/SVGOptimizer.hpp, src/XMLNode.cpp, 
    src/XMLNode.hpp: 
  remove whitespace nodes before collapsing group elements 

2019-03-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputBuffer.hpp: 
  added StringInputBuffer::assign() to assign a different string 

  * src/InputReader.cpp, tests/StreamInputBufferTest.cpp: 
  replaced constraints for attribute names
- must start with a letter
- 
  may contain selected non-alphanumeric characters, like '-', '_', and '.' 

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/SVGTree.cpp, src/XMLNode.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  allow split tags distributed over several dvisvgm:raw specials 

2019-03-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/PSPattern.cpp, src/PageRanges.cpp, 
    src/PathClipper.cpp, src/RangeMap.cpp: 
  use type 'auto' for local iterator variables 

  * src/FilePath.hpp, src/Font.hpp, src/ImageToSVG.hpp, src/PDFParser.hpp, 
    src/SVGOutput.hpp, src/Subfont.hpp, src/XMLNode.cpp, src/XMLNode.hpp: 
  use move semantics to initialize string members 

2019-03-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.hpp, src/DVIToSVG.hpp, src/Subfont.hpp: 
  deleted constructors should be public 

  * src/Bezier.cpp, src/Bezier.hpp, src/CMap.hpp, src/CMapReader.cpp, 
    src/Color.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/EmSpecialHandler.cpp, src/EncFile.cpp, src/FileFinder.cpp, 
    src/FileFinder.hpp, src/FileSystem.cpp, src/Font.cpp, src/FontCache.cpp, 
    src/FontEncoding.cpp, src/FontEncoding.hpp, src/FontEngine.cpp, 
    src/FontEngine.hpp, src/FontManager.cpp, src/FontManager.hpp, 
    src/FontWriter.hpp, src/GFGlyphTracer.cpp, src/GFGlyphTracer.hpp, 
    src/Ghostscript.cpp, src/Ghostscript.hpp, src/ImageToSVG.cpp, 
    src/MapLine.cpp, src/MapLine.hpp, src/Message.cpp, src/Message.hpp, 
    src/NoPsSpecialHandler.hpp, src/PDFParser.cpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.hpp, src/PathClipper.cpp, src/Process.hpp, 
    src/SVGCharHandler.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.hpp, src/SVGCharTspanTextHandler.cpp, 
    src/SVGTree.hpp, src/VFReader.cpp, src/VFReader.hpp, src/XMLNode.cpp, 
    src/dvisvgm.cpp: 
  use nullptr instead of 0 

  * src/BoundingBox.hpp, src/CLCommandLine.hpp, src/CMapReader.hpp, 
    src/Calculator.hpp, src/Font.hpp, src/FontMetrics.hpp, 
    src/FontWriter.hpp, src/GFReader.hpp, src/Length.hpp, src/MapLine.hpp, 
    src/Matrix.hpp, src/MessageException.hpp, src/PDFParser.hpp, 
    src/PSInterpreter.hpp, src/PageSize.hpp, src/ShadingPatch.hpp, 
    src/SpecialHandler.hpp, src/StreamReader.hpp, src/TrueTypeFont.hpp, 
    src/VFReader.hpp, src/VectorIterator.hpp, src/ZLibOutputStream.hpp: 
  made constructors of exception classes explicit 

  * src/ZLibOutputStream.hpp: 
  few modifications of class ZLibOutputStream 

  * src/CharMapID.hpp, src/Color.hpp, src/FontCache.hpp, src/Message.cpp, 
    src/Message.hpp: 
  ensure initializations of static members don't throw exceptions 

  * src/BoundingBox.cpp, src/CMapManager.cpp, src/ColorSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/PathClipper.cpp, src/RangeMap.cpp: 
  replaced some index-based loops with range-based ones 

  * src/FilePath.cpp, src/FilePath.hpp: 
  fixed type used to store directories in class FilePath 

  * src/CLCommandLine.cpp: 
  use emplace_back() instead of push_back() 

  * src/FileFinder.cpp, src/Font.hpp, src/TensorProductPatch.hpp, 
    src/dvisvgm.cpp: 
  removed redundant 'virtual' modifiers and calls of c_str() 

  * src/FontManager.cpp, src/HyperlinkManager.cpp, src/PageSize.cpp: 
  use spezialized string::find() to look for single characters 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/dvisvgm.cpp, 
    src/options.xml, tests/CommandLineTest.cpp: 
  renamed option --exact to --exact-bbox
This change is downward 
  compatible due to partial matching of long options. 

  * src/DVIToSVGActions.cpp, src/DvisvgmSpecialHandler.cpp, src/Matrix.cpp, 
    src/Matrix.hpp, src/PSPattern.cpp, src/PsSpecialHandler.cpp, 
    src/SVGCharHandler.cpp, src/SVGCharPathHandler.cpp, src/SVGTree.cpp, 
    tests/MatrixTest.cpp: 
  renamed and slightly refactored Matrix::getSVG() 

2019-03-19  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIToSVGActions.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/HyperlinkManager.cpp, src/ImageToSVG.hpp, src/SVGTree.cpp, 
    src/SVGTree.hpp, src/SpecialActions.hpp, tests/DvisvgmSpecialTest.cpp: 
  added context stack for SVG defs section 

  * src/DVIToSVG.cpp, src/ImageToSVG.cpp, src/SVGOptimizer.cpp, 
    src/SVGOptimizer.hpp, src/SVGTree.cpp, src/SVGTree.hpp: 
  moved removal of redundant clipPath elements to SVGOptimizer 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/SVGOptimizer.cpp, 
    src/SVGOptimizer.hpp, src/dvisvgm.cpp, src/options.xml: 
  added command-line option --group-attributes 

2019-03-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  reformatted file list in Makefile 

2019-03-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  added processing of PS operators xshow, yshow, and xyshow 

2019-03-15  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxhash to version 0.7.0 

2019-03-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am, src/SVGOptimizer.cpp, src/SVGOptimizer.hpp, 
    src/SVGTree.cpp, src/XMLNode.cpp, src/XMLNode.hpp, src/utility.hpp: 
  added algorithms to move common attributes to group elements 

2019-03-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.hpp, src/ImageToSVG.hpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGTree.cpp, src/SVGTree.hpp, src/SpecialActions.hpp, 
    src/SpecialManager.cpp, src/SpecialManager.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/TpicSpecialTest.cpp: 
  take unique_ptrs by value instead of rvalue reference 

2019-03-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/HyperlinkManager.cpp, src/ImageToSVG.cpp, src/ImageToSVG.hpp, 
    src/PSPattern.cpp, src/PSPattern.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGTree.cpp, src/SVGTree.hpp, src/SpecialActions.hpp, 
    src/TpicSpecialHandler.cpp, src/XMLDocument.cpp, src/XMLDocument.hpp, 
    src/XMLNode.cpp, src/XMLNode.hpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/TpicSpecialTest.cpp, 
    tests/XMLNodeTest.cpp: 
  renamed XML node classes 

  * src/XMLDocument.cpp, src/XMLNode.cpp, src/XMLNode.hpp, 
    tests/XMLNodeTest.cpp: 
  replaced dynamic casts of XML nodes with dedicated cast methods 

2019-03-11  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  rebuild manpage if configure.ac was updated
A potential change of the 
  version number should be propagated to the manpage. 

  * doc/dvisvgm.txt.in: 
  manpage: added link to SVG color names 

2019-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  imgfile: improved and simplifed code
- compute transformation matrix 
  only once (for image and bbox)
- compute and update bbox only if 
  necessary 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.6.3 

  * NEWS: 
  updated NEWS 

2019-03-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  option --bbox: check validity of paper format arguments corretcly 

  * src/PsSpecialHandler.cpp: 
  ensure forward slashes in file paths passed to PS oparator 'run' 

  * src/PsSpecialHandler.cpp, src/psdefs.cpp: 
  psfile/pdffile: adapt opposite orientation of y-coordinates properly 

2019-02-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp, src/InputReader.hpp, 
    tests/StreamInputBufferTest.cpp, tests/StringMatcherTest.cpp: 
  added StringMatcher::read() 

  * src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/InputReader.cpp, tests/DvisvgmSpecialTest.cpp: 
  parse raw specials and create proper XML nodes 

2019-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DvisvgmSpecialHandler.cpp, src/FontWriter.cpp: 
  replaced lookup loops with std::find_if 

2019-02-25  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/Makefile.am: 
  add ax_check_compile_flag.m4 to distributed source archives 

2019-02-24  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, m4/ax_check_compile_flag.m4, src/Makefile.am: 
  add -Wno-mismatched-tags only if compiler supports 
  -Wmismatched-tags
(closes #101) 

2019-02-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.hpp, src/InputReader.cpp, src/InputReader.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    tests/StreamInputBufferTest.cpp: 
  replaced some unordered maps with ordered ones 

  * src/HtmlSpecialHandler.cpp, src/InputReader.cpp, src/InputReader.hpp, 
    src/MapLine.cpp, src/PsSpecialHandler.cpp, 
    tests/StreamInputBufferTest.cpp: 
  accept alternative bounding chars in getQuotedString() 

2019-02-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.hpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/TpicSpecialTest.cpp: 
  store attributes in vectors instead of maps 

2019-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/Color.cpp, tests/ColorSpecialTest.cpp, 
    tests/ColorTest.cpp, tests/EmSpecialTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/TpicSpecialTest.cpp, 
    tests/TriangularPatchTest.cpp: 
  use short RGB hex values if possible 

2019-02-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp, src/Ghostscript.cpp: 
  replaced C casts with const_cast 

2019-02-07  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  added some links to README 

2019-01-31  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/gtest/include/gtest/gtest-death-test.h, 
    tests/gtest/include/gtest/gtest-message.h, 
    tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-test-part.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/gtest_pred_impl.h, 
    tests/gtest/include/gtest/gtest_prod.h, 
    tests/gtest/include/gtest/internal/custom/gtest-port.h, 
    tests/gtest/include/gtest/internal/custom/gtest-printers.h, 
    tests/gtest/include/gtest/internal/custom/gtest.h, 
    tests/gtest/include/gtest/internal/gtest-death-test-internal.h, 
    tests/gtest/include/gtest/internal/gtest-filepath.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-linked_ptr.h, 
    tests/gtest/include/gtest/internal/gtest-param-util-generated.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/include/gtest/internal/gtest-string.h, 
    tests/gtest/include/gtest/internal/gtest-tuple.h, 
    tests/gtest/include/gtest/internal/gtest-type-util.h, 
    tests/gtest/src/gtest-all.cc, tests/gtest/src/gtest-death-test.cc, 
    tests/gtest/src/gtest-filepath.cc, tests/gtest/src/gtest-internal-inl.h, 
    tests/gtest/src/gtest-port.cc, tests/gtest/src/gtest-printers.cc, 
    tests/gtest/src/gtest-test-part.cc, tests/gtest/src/gtest-typed-test.cc, 
    tests/gtest/src/gtest.cc, tests/gtest/src/gtest_main.cc: 
  updated gtest to version 1.8.1 

2019-01-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  put struct PatchVertex in corresponding method 

2019-01-24  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, configure.ac, m4/Makefile.am: 
  add m4 files to source tarball 

2019-01-22  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README 

  * .travis.yml: 
  Travis: switched to xenial environment 

2019-01-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/psdefs.cpp: 
  ensure a path loaded by 'clippath' is considered by clip/eoclip 

  * src/PsSpecialHandler.cpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  changed semantics of operand of 'newpath'
It now denotes whether method 
  'newpath' was triggered by PS operator 'newpath'
or one of the 
  drawing/clipping operators. 

  * src/GraphicsPath.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, tests/FontCacheTest.cpp, 
    tests/GraphicsPathTest.cpp: 
  only create new clipPath element if the new clip path differs 

2019-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  fixed formatting of GS version number 

  * src/PsSpecialHandler.cpp: 
  use nullptr instead of 0 

2019-01-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  execute 'show' if called internally by another PS operator (e.g. 
  charpath) 

  * src/psdefs.cpp: 
  don't propagate local transformations to the PS handler
PS operators 
  like 'charpath' may perform local transformations, e.g. by
calling 
  'scale'. These must not be forwarded to the PS handler. 

  * libs/variant/Makefile.am, libs/variant/include/mpark/config.hpp, 
    libs/variant/include/mpark/in_place.hpp, 
    libs/variant/include/mpark/lib.hpp, 
    libs/variant/include/mpark/variant.hpp: 
  updated mpark::variant to version 1.4.0 

  * src/psdefs.cpp: 
  PS handler: draw glyph paths with 'fill' rather than 'eofill' 

  * .appveyor.yml: 
  AppVeyor: updated ttfautohint revision to 1.8.2-2 

2019-01-14  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.6.2 

2019-01-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  properly apply current scale values to line properties 

  * src/psdefs.cpp: 
  prevent visible side-effects of PS operator 'stringwidth'
According to 
  the PS manual, p. 699, stringwidth may execute the path operators
of the 
  glyph descriptions. This led to visible fragments in the SVG graphics. 

2019-01-08  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/db2html.xsl: 
  manpage: fixed wrongly nested list elements 

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-db-refentry.xsl, 
    doc/tweak-dblatex-pdf.xsl, libs/Makefile.am, 
    libs/ff-woff/fontforge/tmpfile2.cpp, src/AGLTable.hpp, 
    src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.hpp, src/Bitmap.cpp, src/Bitmap.hpp, 
    src/BoundingBox.cpp, src/BoundingBox.hpp, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CLOption.hpp, src/CMap.cpp, src/CMap.hpp, 
    src/CMapManager.cpp, src/CMapManager.hpp, src/CMapReader.cpp, 
    src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.hpp, src/Calculator.cpp, 
    src/Calculator.hpp, src/CharMapID.cpp, src/CharMapID.hpp, 
    src/Character.hpp, src/Color.cpp, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EPSFile.cpp, src/EPSFile.hpp, 
    src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp, 
    src/EncFile.cpp, src/EncFile.hpp, src/FileFinder.cpp, src/FileFinder.hpp, 
    src/FilePath.cpp, src/FilePath.hpp, src/FileSystem.cpp, 
    src/FileSystem.hpp, src/FixWord.hpp, src/Font.cpp, src/Font.hpp, 
    src/FontCache.cpp, src/FontCache.hpp, src/FontEncoding.cpp, 
    src/FontEncoding.hpp, src/FontEngine.cpp, src/FontEngine.hpp, 
    src/FontManager.cpp, src/FontManager.hpp, src/FontMap.cpp, 
    src/FontMap.hpp, src/FontMetrics.cpp, src/FontMetrics.hpp, 
    src/FontStyle.hpp, src/FontWriter.cpp, src/FontWriter.hpp, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.hpp, src/GFReader.cpp, 
    src/GFReader.hpp, src/GFTracer.cpp, src/GFTracer.hpp, 
    src/Ghostscript.cpp, src/Ghostscript.hpp, src/Glyph.hpp, 
    src/GlyphTracerMessages.hpp, src/GraphicsPath.hpp, src/HashFunction.cpp, 
    src/HashFunction.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.hpp, src/HyperlinkManager.cpp, 
    src/HyperlinkManager.hpp, src/ImageToSVG.cpp, src/ImageToSVG.hpp, 
    src/InputBuffer.cpp, src/InputBuffer.hpp, src/InputReader.cpp, 
    src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, src/Length.cpp, 
    src/Length.hpp, src/MD5HashFunction.hpp, src/Makefile.am, 
    src/MapLine.cpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.cpp, src/Message.hpp, src/MessageException.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.hpp, src/PDFParser.cpp, 
    src/PDFParser.hpp, src/PDFToSVG.hpp, src/PSFilter.hpp, 
    src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/Pair.hpp, src/PapersizeSpecialHandler.cpp, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SourceInput.cpp, src/SourceInput.hpp, 
    src/SpecialActions.hpp, src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, src/StreamReader.cpp, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/System.cpp, src/System.hpp, src/TFM.cpp, 
    src/TFM.hpp, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, src/Terminal.cpp, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, src/TrueTypeFont.cpp, 
    src/TrueTypeFont.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/XXHashFunction.hpp, src/ZLibOutputStream.hpp, 
    src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, 
    src/options.dtd, src/options.xml, src/psdefs.cpp, src/utility.cpp, 
    src/utility.hpp, src/version.hpp, src/version.hpp.in, src/windows.hpp, 
    tests/BezierTest.cpp, tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DVIReaderTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontCacheTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/GhostscriptTest.cpp, tests/GraphicsPathTest.cpp, 
    tests/HashFunctionTest.cpp, tests/JFMReaderTest.cpp, 
    tests/LengthTest.cpp, tests/Makefile.am, tests/MapLineTest.cpp, 
    tests/MatrixTest.cpp, tests/MessageExceptionTest.cpp, 
    tests/PDFParserTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/StringMatcherTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/UtilityTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl, tests/testmain.cpp: 
  updated year in copyright statements to 2019 

2018-12-13  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/potrace/CMakeLists.txt, libs/variant/CMakeLists.txt: 
  removed redundant files 

2018-11-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.hpp, src/options.xml: 
  updated description in --help output 

2018-11-06  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/Makefile.am, libs/defs.am, src/Makefile.am, 
    tests/Makefile.am, tests/create-makefile: 
  Makefiles: replaced $(top_srcdir) with $(dvisvgm_srcdir)
to simplify 
  maintenance of dvisvgm in TeX Live 

2018-11-03  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_cxx_compile_stdcxx.m4: 
  updated ax_cxx_compile_stdcxx.m4 to version 10 

2018-10-30  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/Makefile.am, libs/defs.am, libs/potrace/Makefile.am, 
    libs/woff2/Makefile.am, libs/xxHash/Makefile.am: 
  use negation in Makefile conditionals 

2018-10-23  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/common/platform.h, libs/brotli/common/transform.c, 
    libs/brotli/common/version.h, libs/brotli/enc/backward_references_hq.c, 
    libs/brotli/enc/backward_references_hq.h, 
    libs/brotli/enc/backward_references_inc.h, libs/brotli/enc/encode.c, 
    libs/brotli/enc/hash.h, libs/brotli/enc/hash_composite_inc.h, 
    libs/brotli/enc/hash_longest_match64_inc.h, 
    libs/brotli/enc/hash_longest_match_inc.h, 
    libs/brotli/enc/hash_rolling_inc.h, 
    libs/brotli/enc/hash_to_binary_tree_inc.h: 
  updated brotli to version 1.0.7 

2018-10-11  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2018-10-10  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  only create intermediate XML files if dvisvgm.txt.1 has changed 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.6.1 

2018-10-09  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  ensure dvisvgm.txt.in is distributed with the tarball 

  * configure.ac, libs/brotli/Makefile.am, libs/defs.am, 
    libs/potrace/Makefile.am, libs/woff2/Makefile.am, 
    libs/xxHash/Makefile.am, src/Makefile.am, tests/Makefile.am, 
    tests/create-makefile: 
  relaxed semantics of config option --disable-bundled-libs
If some of the 
  system libraries brotli, potrace, woff2, and xxhash can't be
found, the 
  bundled libraries are used as a fallback, even if 
  option
--disable-bundled-libs is given. (closes #94) 

2018-10-04  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  added configuration option --disable-manpage (closes #93) 

2018-10-02  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/Makefile.am: 
  don't update man page if asciidoc file hasn't changed 

2018-09-20  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/common/platform.h, libs/brotli/common/version.h, 
    libs/brotli/enc/metablock.c: 
  updated brotli to version 1.0.6 

2018-09-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XXHashFunction.hpp: 
  fixed constexpr issue occured with gcc 4.8 

2018-09-09  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  add dvisvgm.sty to distributed files 

2018-09-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  call RegGetValueA() with correct buffer size 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.6 

  * NEWS: 
  updated NEWS 

2018-09-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/dvisvgm.cpp: 
  use enums for hash parameters rather than strings 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/DVIToSVG.hpp: 
  added optional parameter 'replace' to --page-hashes 

2018-09-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIToSVG.cpp: 
  reset hash function before computing a page hash 

2018-09-03  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/clipper/clipper.cpp: 
  clipper: initialize TEdge by constructor instead of memset() 

2018-09-01  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  removed redundant check for potrace from configure 

2018-08-31  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/variant/include/mpark/config.hpp: 
  VC: fixed failing compilation of 
  mpark::variant
https://github.com/mpark/variant/commit/4e3e7f88f03f513622daa973 

2018-08-30  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: use VS 2017 version 15.7 instead of 15.8
Version 15.8 of 
  Visual Studio 2017 introduced a compiler bug that prevents
compiling 
  mpark::variant (https://github.com/mpark/variant/issues/48). 

2018-08-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XXHashFunction.hpp, src/dvisvgm.cpp: 
  use wrapper class to get the xxhash version number 

  * src/HashFunction.cpp, src/HashFunction.hpp, src/MD5HashFunction.hpp, 
    src/XXHashFunction.hpp, tests/HashFunctionTest.cpp: 
  added extended create functions to hash classes 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp, src/dvisvgm.cpp, 
    src/options.xml, tests/SVGOutputTest.cpp: 
  replaced pattern variable %h with %hd; added %ho and %hc
In order to 
  recognize changes in the command-line options that may affect the
SVG 
  output, %ho and %hc have been introduced. The former expands to a 
  32-bit
hash reflecting the command-line options, the latter combines this 
  information
with the hash computed from the DVI page data. 

2018-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/dvisvgm.cpp: 
  option --page-hashes accepts multiple modifiers now 

2018-08-24  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/DVIToSVG.hpp, 
    src/HashFunction.cpp, src/HashFunction.hpp, src/SVGOutput.hpp, 
    src/dvisvgm.cpp, tests/CommandLineTest.cpp: 
  added optional parameter 'list' to option --page-hashes 

  * src/dvisvgm.cpp: 
  fixed wrong directory separators shown in output of --cache 

2018-08-22  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/DVIToSVG.hpp, 
    src/dvisvgm.cpp, src/options.xml: 
  added command-line option --page-hashes to enable hashing functionality 

2018-08-21  Martin Gieseking  <martin.gieseking@uos.de>

  * AUTHORS, README, README.md, configure.ac, libs/Makefile.am, 
    libs/md5/Makefile.am, libs/md5/md5.c, libs/md5/md5.h, 
    src/HashFunction.cpp, src/HashFunction.hpp, src/MD5HashFunction.hpp, 
    src/Makefile.am, src/XXHashFunction.hpp, tests/HashFunctionTest.cpp, 
    tests/Makefile.am, tests/create-makefile: 
  added classes to compute MD5, XXH32, and XXH64 hash values 

  * src/BasicDVIReader.hpp, src/DVIReader.cpp: 
  added validity checks for bop offsets 

  * src/DVIReader.cpp, src/DVIReader.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.hpp, src/HashFunction.cpp, src/HashFunction.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp: 
  added optional computation and evaluation of page hashes
If this 
  functionality is enabled, a hash value based on the contents of 
  the
corresponding DVI page is added to the SVG file names. Furthermore, 
  dvisvgm
skips the conversion of these pages in subsequent calls if the 
  resulting SVG
files already exist. 

2018-08-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  DVI postamble: relaxed plausibility check of the total page count 

2018-08-08  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  correctly evaluate config option --disable-bundled-libs (closes #91) 

2018-08-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.hpp, src/DVIToSVG.cpp, src/DVIToSVG.hpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/PsSpecialHandler.cpp: 
  getPageTransformation: replaced reference parameter with return value 

  * src/DVIToSVGActions.hpp, src/ImageToSVG.hpp, src/PsSpecialHandler.cpp, 
    src/SpecialActions.hpp: 
  renamed getPageTransform; return unity matrix by default 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.5 

  * NEWS: 
  updated NEWS 

2018-08-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FilePath.cpp, src/FilePath.hpp, 
    src/Ghostscript.cpp: 
  TL32: also look for gsdll32.dll in the corresponding TL bin folder
The 
  changes are based on a patch sent by Akira Kakuto. 

2018-08-01  Martin Gieseking  <martin.gieseking@uos.de>

  * README: 
  updated README 

  * .appveyor.yml, .travis.yml: 
  updated CI configurations; dropped potrace as an external dependency 

  * configure.ac, src/SourceInput.cpp: 
  set umask before calling mkstemp()
Coverity complains about calling 
  mkstemp() without securely setting umask first.
If umask() is available, 
  it's now called so that the permissions of temporary
files result to 
  0600. 

  * src/BoundingBox.cpp: 
  show lock state when printing a bounding box object 

  * src/DVIToSVG.cpp: 
  apply user transformations even if the bounding box is locked 

2018-07-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/ImageToSVG.cpp, src/ImageToSVG.hpp, src/dvisvgm.cpp: 
  apply --transform commands in --eps and --pdf mode too 

  * src/DVIToSVG.cpp, src/Length.cpp, src/Length.hpp, tests/LengthTest.cpp: 
  added function to retrieve all units supported by the Length class 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/ImageToSVG.cpp, 
    tests/CalculatorTest.cpp: 
  allow to use all supported units in --transform commands 

  * Makefile.am: 
  propagate --enable-bundled-libs to "distcheck" 

  * AUTHORS, README.md, configure.ac, libs/Makefile.am, 
    libs/potrace/CMakeLists.txt, libs/potrace/Makefile.am, 
    libs/potrace/auxiliary.h, libs/potrace/bitmap.h, libs/potrace/config.h, 
    libs/potrace/curve.c, libs/potrace/curve.h, libs/potrace/decompose.c, 
    libs/potrace/decompose.h, libs/potrace/lists.h, 
    libs/potrace/potracelib.c, libs/potrace/potracelib.h, 
    libs/potrace/progress.h, libs/potrace/trace.c, libs/potrace/trace.h, 
    src/Makefile.am: 
  added potrace to the bundled libraries again 

  * tests/Makefile.am, tests/create-makefile: 
  link tests only against bundled libs if configured with 
  --enable-bundled-libs 

  * src/ImageToSVG.cpp: 
  changed type of exception thrown in case of invalid EPS/PDF files 

2018-07-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  replaced internal PS operator @getpdfpagebox with PSInterpreter method 

2018-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  removed redundant code from main() 

  * README.md, doc/dvisvgm.txt.in, src/EPSToSVG.hpp, src/ImageToSVG.cpp, 
    src/ImageToSVG.hpp, src/PDFToSVG.hpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/dvisvgm.cpp, src/psdefs.cpp: 
  PDF conversion: allow to specify the pages to process 

2018-07-25  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, README.md, configure.ac, libs/brotli/Makefile.am, 
    libs/woff2/Makefile.am, libs/xxHash/Makefile.am, src/Makefile.am, 
    src/dvisvgm.cpp: 
  added config option --enable-bundled-libs
If this option is given, the 
  bundled libraries brotli, woff2, and xxhash are
built and statically 
  linked. Otherwise, the configure script looks for the
corresponing system 
  libraries and links dvisvgm against those. (closes #90) 

2018-07-19  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  fixed date in NEWS 

2018-07-18  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/Makefile.am: 
  don't try to build manpage if required tools are missing 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.4.2 

  * NEWS: 
  updated NEWS 

2018-07-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/HyperlinkManager.cpp: 
  reduced extent of hyperlinked areas to get a tight bbox 

2018-07-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  use unique_ptr in bbox debug code 

  * src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp: 
  removed redundant method PSPreviewFilter::getBorders() 

  * src/PSPreviewFilter.cpp, src/PsSpecialHandler.cpp: 
  fixed computation of preview extents (closes #89) 

  * src/PsSpecialHandler.cpp: 
  prevent warning about missing psfile "/dev/null" 

2018-07-07  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .gitattributes: 
  added linguist settings to 
  .gitattributes

https://github.com/github/linguist 

2018-07-06  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/Makefile.am, libs/brotli/common/dictionary.c, 
    libs/brotli/common/platform.h, libs/brotli/common/transform.c, 
    libs/brotli/common/version.h, libs/brotli/enc/backward_references.c, 
    libs/brotli/enc/brotli_bit_stream.h, libs/brotli/enc/command.h, 
    libs/brotli/enc/compress_fragment.c, 
    libs/brotli/enc/compress_fragment_two_pass.c, libs/brotli/enc/encode.c, 
    libs/brotli/enc/encoder_dict.h, libs/brotli/enc/fast_log.h, 
    libs/brotli/enc/hash.h, libs/brotli/enc/hash_composite_inc.h, 
    libs/brotli/enc/hash_rolling_inc.h, libs/brotli/enc/quality.h, 
    libs/brotli/enc/static_dict.c, libs/brotli/enc/write_bits.h, 
    libs/brotli/include/brotli/port.h, libs/brotli/include/brotli/types.h: 
  updated brotli to version 1.0.5 

  * README, README.md, doc/dvisvgm.txt.in, libs/ff-woff/README.md: 
  updated links to new project website dvisvgm.de 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.4.1 

2018-07-04  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  manpage: updated external links 

2018-06-23  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/include/woff2/version.h, libs/woff2/src/font.cc, 
    libs/woff2/src/normalize.cc, libs/woff2/src/woff2_enc.cc: 
  updated woff2 to 1.0.2 

2018-06-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SourceInput.cpp, src/SourceInput.hpp: 
  moved handling of temporary files to separate class 

2018-05-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/ImageToSVG.cpp: 
  fixed evaluation of progress delay 

2018-05-09  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  minor fixes in manpage 

2018-05-04  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/conf-dblatex-pdf.xsl: 
  list options and specials in PDF bookmarks of manpage 

  * doc/dvisvgm.txt.in: 
  manpage: ordered options alphabetically according to long name 

2018-05-03  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README 

2018-05-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp: 
  catch exception by reference rather than by value 

2018-04-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EPSFile.cpp, src/EPSFile.hpp, src/EPSToSVG.cpp: 
  changed signature of EPSFile::bbox() 

  * src/CLCommandLine.cpp: 
  cmdline: fixed handling of 'usage' section 

  * src/EPSToSVG.cpp, src/EPSToSVG.hpp, src/ImageToSVG.cpp, 
    src/ImageToSVG.hpp, src/Makefile.am: 
  derive EPSToSVG from abstract class ImageToSVG 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/Makefile.am, 
    src/PDFToSVG.hpp, src/PSInterpreter.cpp, src/PSInterpreter.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/dvisvgm.cpp, 
    src/options.xml, src/psdefs.cpp, tests/CommandLineTest.cpp, 
    tests/PSInterpreterTest.cpp: 
  added option --pdf to convert PDF files to SVG 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.4 

2018-04-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp: 
  swap wrongly assigned variables (doesn't affect behavior) 

2018-04-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  psfile: use operator 'run' to simplify execution of (E)PS files 

  * src/PSInterpreter.cpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  added special pdffile to embed PDF graphics 

  * src/PsSpecialHandler.cpp: 
  apply outer transformations to psfile/pdffile graphics 

2018-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp, src/Ghostscript.hpp, src/dvisvgm.cpp, 
    tests/GhostscriptTest.cpp: 
  added function to get numeric GS revision 

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp: 
  moved GS init options to init method 

  * src/PsSpecialHandler.cpp: 
  replaced str2double() with stod(); added check for zero bbox 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    tests/ColorSpecialTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/TpicSpecialTest.cpp: 
  changed type of \special prefix from const char* to string 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SpecialHandler.hpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.hpp: 
  removed const from result vector of SpecialHandler::prefixes() 

2018-04-19  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxHash to version 0.6.5 

  * src/psdefs.cpp: 
  fixed handling of PS operator 'setgstate' 

2018-04-16  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_cxx_compile_stdcxx.m4: 
  updated ax_cxx_compile_stdcxx.m4 to version 8 

2018-04-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.hpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.hpp, src/HtmlSpecialHandler.hpp, 
    src/NoPsSpecialHandler.hpp, src/PapersizeSpecialHandler.hpp, 
    src/PdfSpecialHandler.hpp, src/PsSpecialHandler.hpp, 
    src/SpecialHandler.hpp, src/SpecialManager.cpp, src/SpecialManager.hpp, 
    src/TpicSpecialHandler.hpp: 
  merged listener methods into SpecialHandler class 

  * src/CommandLine.hpp: 
  made opt2cpp compatible with Python 3 

2018-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/Makefile.am, libs/brotli/common/constants.h, 
    libs/brotli/common/platform.h, libs/brotli/common/version.h, 
    libs/brotli/enc/backward_references.c, 
    libs/brotli/enc/backward_references_hq.c, libs/brotli/enc/command.h, 
    libs/brotli/enc/context.h, libs/brotli/enc/encode.c, 
    libs/brotli/enc/memory.h, libs/brotli/enc/metablock.c, 
    libs/brotli/enc/metablock.h, libs/brotli/enc/params.h, 
    libs/brotli/enc/port.h, libs/brotli/enc/quality.h, 
    libs/brotli/enc/write_bits.h, libs/brotli/include/brotli/decode.h, 
    libs/brotli/include/brotli/encode.h: 
  updated brotli to version 1.0.4 

2018-03-29  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/SVGOutput.cpp, src/ZLibOutputStream.hpp, 
    src/dvisvgm.cpp: 
  enabled to output compressed SVG data to stdout 

  * src/dvisvgm.cpp: 
  renamed SourceInput variable 

2018-03-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  simplified main() function 

2018-03-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CLCommandLine.cpp, src/CLCommandLine.hpp, 
    src/CommandLine.hpp, src/EPSFile.cpp, src/EPSFile.hpp, src/EPSToSVG.cpp, 
    src/EPSToSVG.hpp, src/FileSystem.cpp, src/Makefile.am, 
    src/PsSpecialHandler.cpp, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/SourceInput.cpp, src/SourceInput.hpp, src/dvisvgm.cpp, 
    src/options.xml, tests/CommandLineTest.cpp, tests/SVGOutputTest.cpp: 
  added option to read DVI/EPS input from stdin (closes #86) 

2018-03-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  PS handler: added processing of .setshapealpha and .setblendmode 

2018-03-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.hpp, tests/MatrixTest.cpp: 
  added initlist constructor to class Matrix 

  * src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  psfile special: added evaluation of operator 'setpagedevice' 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3.5 

  * NEWS: 
  updated NEWS 

2018-03-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  added missing PS header required to evaluate color names 

  * src/PSInterpreter.cpp, src/psdefs.cpp: 
  drop GS option -dSAFER to stay compatible with GS 9.23 

2018-03-13  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3.4 

  * NEWS: 
  updated NEWS 

2018-03-12  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/data/Makefile.am: 
  add required test file cmr10.pfb to source tarballs (closes #87) 

2018-03-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EmSpecialHandler.hpp, src/XMLDocument.hpp, src/dvisvgm.cpp: 
  replaced memory-inefficient lists with vectors 

  * src/XMLNode.cpp, src/XMLNode.hpp: 
  replaced lists of XML element pointers with deques 

  * src/CLCommandLine.cpp: 
  fixed message printed if command-line contains an isolated '-' 

2018-03-03  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/brotli/Makefile.am, libs/brotli/common/constants.h, 
    libs/brotli/common/context.h, libs/brotli/common/dictionary.h, 
    libs/brotli/common/platform.h, libs/brotli/common/transform.h, 
    libs/brotli/common/version.h, libs/brotli/enc/backward_references.c, 
    libs/brotli/enc/backward_references.h, 
    libs/brotli/enc/backward_references_hq.c, 
    libs/brotli/enc/backward_references_hq.h, 
    libs/brotli/enc/backward_references_inc.h, libs/brotli/enc/bit_cost.c, 
    libs/brotli/enc/bit_cost.h, libs/brotli/enc/block_encoder_inc.h, 
    libs/brotli/enc/block_splitter.c, libs/brotli/enc/block_splitter.h, 
    libs/brotli/enc/block_splitter_inc.h, 
    libs/brotli/enc/brotli_bit_stream.c, libs/brotli/enc/brotli_bit_stream.h, 
    libs/brotli/enc/cluster.c, libs/brotli/enc/cluster.h, 
    libs/brotli/enc/command.h, libs/brotli/enc/compress_fragment.c, 
    libs/brotli/enc/compress_fragment.h, 
    libs/brotli/enc/compress_fragment_two_pass.c, 
    libs/brotli/enc/compress_fragment_two_pass.h, 
    libs/brotli/enc/dictionary_hash.c, libs/brotli/enc/encode.c, 
    libs/brotli/enc/encoder_dict.c, libs/brotli/enc/encoder_dict.h, 
    libs/brotli/enc/entropy_encode.c, libs/brotli/enc/entropy_encode.h, 
    libs/brotli/enc/entropy_encode_static.h, libs/brotli/enc/fast_log.h, 
    libs/brotli/enc/find_match_length.h, libs/brotli/enc/hash.h, 
    libs/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/brotli/enc/hash_longest_match64_inc.h, 
    libs/brotli/enc/hash_longest_match_inc.h, 
    libs/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/brotli/enc/hash_to_binary_tree_inc.h, libs/brotli/enc/histogram.c, 
    libs/brotli/enc/histogram.h, libs/brotli/enc/histogram_inc.h, 
    libs/brotli/enc/literal_cost.c, libs/brotli/enc/literal_cost.h, 
    libs/brotli/enc/memory.c, libs/brotli/enc/memory.h, 
    libs/brotli/enc/metablock.c, libs/brotli/enc/metablock.h, 
    libs/brotli/enc/metablock_inc.h, libs/brotli/enc/params.h, 
    libs/brotli/enc/prefix.h, libs/brotli/enc/quality.h, 
    libs/brotli/enc/ringbuffer.h, libs/brotli/enc/static_dict.c, 
    libs/brotli/enc/static_dict.h, libs/brotli/enc/static_dict_lut.h, 
    libs/brotli/enc/utf8_util.c, libs/brotli/enc/utf8_util.h, 
    libs/brotli/enc/write_bits.h, libs/brotli/include/brotli/decode.h, 
    libs/brotli/include/brotli/encode.h, libs/brotli/include/brotli/port.h: 
  updated brotli to version 1.0.3 

2018-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  minor changes of the manpage 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3.3 

  * NEWS: 
  updated NEWS 

2018-02-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.hpp: 
  don't remove fontmap definitions before processing pdf:mapXXX specials 

  * src/FontEngine.cpp: 
  prevent creating string from nullptr 

2018-02-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileSystem.cpp, src/FontCache.cpp, src/FontMap.cpp, 
    src/GFGlyphTracer.cpp, src/MetafontWrapper.cpp, src/PsSpecialHandler.cpp, 
    src/utility.cpp, tests/DVIReaderTest.cpp, tests/GFReaderTest.cpp, 
    tests/JFMReaderTest.cpp, tests/TFMReaderTest.cpp: 
  removed calls of c_str() redundant since C++11 

  * src/StreamReader.cpp: 
  replaced c_str() with data() in StreamReader 

2018-02-08  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3.2 

  * src/TpicSpecialHandler.cpp: 
  prevent potential division by 0 

  * src/dvisvgm.cpp: 
  prevent dereferencing nullptr (CACHE_PATH) 

  * NEWS: 
  updated NEWS 

2018-02-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp: 
  don't update the SVG position after DVIActions::setChar()
Otherwise, all 
  characters get an explicit x position assigned even if it's
already 
  reached by applying the character's advance width. 

2018-01-27  Hironobu Yamashita  <h.y.acetaminophen@gmail.com>

  * src/JFM.cpp: 
  JFM.cpp: support new JFM spec introduced in TeX Live r46452 

  * src/JFM.cpp, src/JFM.hpp, tests/JFMReaderTest.cpp: 
  adapted types to conform new JFM format 

  * src/options.xml: 
  updated year in options.xml 

  * src/FileFinder.cpp, src/Process.cpp: 
  relaxed reading from process pipe; fixed getting output of kpsewhich 
  (Win only) 

2018-01-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.hpp, src/RangeMap.hpp, src/ToUnicodeMap.cpp, 
    tests/RangeMapTest.cpp, tests/ToUnicodeMapTest.cpp: 
  renamed RangeMap::size() to RangeMap::numRanges() 

2018-01-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/RangeMap.cpp, src/RangeMap.hpp: 
  added iterator and some getters to RangeMap 

2018-01-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: updated to FreeType 2.9 and ttfautohint 1.8.1 

  * .appveyor.yml: 
  AppVeyor: fixed download link of ttfautohint-dll 

  * NEWS: 
  updated NEWS 

2018-01-11  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  manpage: reworded info about option --bbox=preview (closes #83) 

2018-01-09  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3.1 

2018-01-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapReader.cpp, src/Directory.cpp, src/Directory.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/FileFinder.cpp, src/FileFinder.hpp, 
    src/FilePath.cpp, src/FilePath.hpp, src/FileSystem.cpp, 
    src/FileSystem.hpp, src/Font.cpp, src/FontCache.cpp, src/FontCache.hpp, 
    src/FontMap.cpp, src/FontMetrics.cpp, src/FontMetrics.hpp, 
    src/MetafontWrapper.cpp: 
  replaced some C string parameters with C++ strings 

2018-01-02  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-db-refentry.xsl, 
    doc/tweak-dblatex-pdf.xsl, libs/Makefile.am, 
    libs/ff-woff/fontforge/tmpfile2.cpp, src/AGLTable.hpp, 
    src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.hpp, src/Bitmap.cpp, src/Bitmap.hpp, 
    src/BoundingBox.cpp, src/BoundingBox.hpp, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CLOption.hpp, src/CMap.cpp, src/CMap.hpp, 
    src/CMapManager.cpp, src/CMapManager.hpp, src/CMapReader.cpp, 
    src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.hpp, src/Calculator.cpp, 
    src/Calculator.hpp, src/CharMapID.cpp, src/CharMapID.hpp, 
    src/Character.hpp, src/Color.cpp, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EPSFile.cpp, src/EPSFile.hpp, 
    src/EPSToSVG.cpp, src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.hpp, src/HyperlinkManager.cpp, 
    src/HyperlinkManager.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/Makefile.am, src/MapLine.cpp, 
    src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, src/Message.cpp, 
    src/Message.hpp, src/MessageException.hpp, src/MetafontWrapper.cpp, 
    src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, src/MiKTeXCom.hpp, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.hpp, 
    src/NumericRanges.hpp, src/PDFParser.cpp, src/PDFParser.hpp, 
    src/PSFilter.hpp, src/PSInterpreter.cpp, src/PSInterpreter.hpp, 
    src/PSPattern.cpp, src/PSPattern.hpp, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.hpp, src/PageRanges.cpp, src/PageRanges.hpp, 
    src/PageSize.cpp, src/PageSize.hpp, src/Pair.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PathClipper.cpp, src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SpecialActions.hpp, src/SpecialHandler.hpp, 
    src/SpecialManager.cpp, src/SpecialManager.hpp, src/StreamReader.cpp, 
    src/StreamReader.hpp, src/StreamWriter.cpp, src/StreamWriter.hpp, 
    src/Subfont.cpp, src/Subfont.hpp, src/System.cpp, src/System.hpp, 
    src/TFM.cpp, src/TFM.hpp, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, src/Terminal.cpp, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.hpp, src/TrueTypeFont.cpp, 
    src/TrueTypeFont.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/ZLibOutputStream.hpp, src/dvisvgm.cpp, 
    src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, src/options.dtd, 
    src/options.xml, src/psdefs.cpp, src/utility.cpp, src/utility.hpp, 
    src/version.hpp, src/version.hpp.in, src/windows.hpp, 
    tests/BezierTest.cpp, tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DVIReaderTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontCacheTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/GhostscriptTest.cpp, tests/GraphicsPathTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PDFParserTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/PapersizeSpecialTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/StringMatcherTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/UtilityTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl, tests/testmain.cpp: 
  updated year in copyright statements to 2018 

  * src/dvisvgm.cpp: 
  avoid potential dangling string pointer to --fontmap argument 

  * src/Font.cpp: 
  fixed char width of fonts slanted by style option (closes #82) 

2017-12-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TTFAutohint.hpp: 
  don't declare member variables of TTFAutohint if ttfautohint is not 
  available 

  * src/FontWriter.cpp: 
  keep unhinted TTF if autohinting failed 

2017-12-28  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: download and install ttfautohint headers 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.3 

  * NEWS, README, README.md: 
  updated README and NEWS 

2017-12-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DLLoader.cpp, src/DLLoader.hpp, src/Ghostscript.cpp, 
    src/TTFAutohint.cpp: 
  simplify function to load a symbol from a dynamic library 

2017-12-23  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/DLLoader.cpp, src/DLLoader.hpp, src/FontWriter.cpp, 
    src/Makefile.am, src/TTFAutohint.cpp, src/TTFAutohint.hpp, 
    src/dvisvgm.cpp: 
  added code to load libttfautohint dynamically at runtime 

2017-12-22  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxHash to version 0.6.4 

2017-12-21  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/internal/custom/gtest-port.h, 
    tests/gtest/include/gtest/internal/custom/gtest.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-param-util-generated.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/src/gtest-death-test.cc, 
    tests/gtest/src/gtest-internal-inl.h, tests/gtest/src/gtest-port.cc, 
    tests/gtest/src/gtest-printers.cc, tests/gtest/src/gtest.cc: 
  updated gtest 

2017-12-19  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  configure: dropped check of outdated Ghostscript version 

  * configure.ac, src/Makefile.am: 
  configure: added --with-kpathsea to set the path of the kpathsea devel 
  files
closes #71 

2017-12-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp: 
  psdefs: replaced '6 array' with 'matrix' 

2017-12-17  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/Makefile.am, libs/woff2/include/woff2/file.h, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/Makefile.am, 
    src/StreamReader.hpp, src/StreamWriter.cpp, src/StreamWriter.hpp, 
    src/TrueTypeFont.cpp, src/TrueTypeFont.hpp, src/ffwrapper.c, 
    src/ffwrapper.h, src/utility.cpp, src/utility.hpp: 
  replaced ff_sfd_to_woff() with TrueTypeFont::writeWOFF() 

  * configure.ac, src/FontWriter.cpp, src/Makefile.am, src/dvisvgm.cpp: 
  added optional support for ttfautohint 

2017-12-14  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, libs/Makefile.am, libs/brotli/LICENSE, 
    libs/brotli/Makefile.am, libs/brotli/common/constants.h, 
    libs/brotli/common/dictionary.c, libs/brotli/common/dictionary.h, 
    libs/brotli/common/version.h, libs/brotli/enc/backward_references.c, 
    libs/brotli/enc/backward_references.h, 
    libs/brotli/enc/backward_references_hq.c, 
    libs/brotli/enc/backward_references_hq.h, 
    libs/brotli/enc/backward_references_inc.h, libs/brotli/enc/bit_cost.c, 
    libs/brotli/enc/bit_cost.h, libs/brotli/enc/bit_cost_inc.h, 
    libs/brotli/enc/block_encoder_inc.h, libs/brotli/enc/block_splitter.c, 
    libs/brotli/enc/block_splitter.h, libs/brotli/enc/block_splitter_inc.h, 
    libs/brotli/enc/brotli_bit_stream.c, libs/brotli/enc/brotli_bit_stream.h, 
    libs/brotli/enc/cluster.c, libs/brotli/enc/cluster.h, 
    libs/brotli/enc/cluster_inc.h, libs/brotli/enc/command.h, 
    libs/brotli/enc/compress_fragment.c, libs/brotli/enc/compress_fragment.h, 
    libs/brotli/enc/compress_fragment_two_pass.c, 
    libs/brotli/enc/compress_fragment_two_pass.h, libs/brotli/enc/context.h, 
    libs/brotli/enc/dictionary_hash.c, libs/brotli/enc/dictionary_hash.h, 
    libs/brotli/enc/encode.c, libs/brotli/enc/entropy_encode.c, 
    libs/brotli/enc/entropy_encode.h, 
    libs/brotli/enc/entropy_encode_static.h, libs/brotli/enc/fast_log.h, 
    libs/brotli/enc/find_match_length.h, libs/brotli/enc/hash.h, 
    libs/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/brotli/enc/hash_longest_match64_inc.h, 
    libs/brotli/enc/hash_longest_match_inc.h, 
    libs/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/brotli/enc/hash_to_binary_tree_inc.h, libs/brotli/enc/histogram.c, 
    libs/brotli/enc/histogram.h, libs/brotli/enc/histogram_inc.h, 
    libs/brotli/enc/literal_cost.c, libs/brotli/enc/literal_cost.h, 
    libs/brotli/enc/memory.c, libs/brotli/enc/memory.h, 
    libs/brotli/enc/metablock.c, libs/brotli/enc/metablock.h, 
    libs/brotli/enc/metablock_inc.h, libs/brotli/enc/port.h, 
    libs/brotli/enc/prefix.h, libs/brotli/enc/quality.h, 
    libs/brotli/enc/ringbuffer.h, libs/brotli/enc/static_dict.c, 
    libs/brotli/enc/static_dict.h, libs/brotli/enc/static_dict_lut.h, 
    libs/brotli/enc/utf8_util.c, libs/brotli/enc/utf8_util.h, 
    libs/brotli/enc/write_bits.h, libs/brotli/include/brotli/decode.h, 
    libs/brotli/include/brotli/encode.h, libs/brotli/include/brotli/port.h, 
    libs/brotli/include/brotli/types.h, libs/woff2/Makefile.am, 
    libs/woff2/brotli/LICENSE, libs/woff2/brotli/Makefile.am, 
    libs/woff2/brotli/common/constants.h, 
    libs/woff2/brotli/common/dictionary.c, 
    libs/woff2/brotli/common/dictionary.h, 
    libs/woff2/brotli/common/version.h, 
    libs/woff2/brotli/enc/backward_references.c, 
    libs/woff2/brotli/enc/backward_references.h, 
    libs/woff2/brotli/enc/backward_references_hq.c, 
    libs/woff2/brotli/enc/backward_references_hq.h, 
    libs/woff2/brotli/enc/backward_references_inc.h, 
    libs/woff2/brotli/enc/bit_cost.c, libs/woff2/brotli/enc/bit_cost.h, 
    libs/woff2/brotli/enc/bit_cost_inc.h, 
    libs/woff2/brotli/enc/block_encoder_inc.h, 
    libs/woff2/brotli/enc/block_splitter.c, 
    libs/woff2/brotli/enc/block_splitter.h, 
    libs/woff2/brotli/enc/block_splitter_inc.h, 
    libs/woff2/brotli/enc/brotli_bit_stream.c, 
    libs/woff2/brotli/enc/brotli_bit_stream.h, 
    libs/woff2/brotli/enc/cluster.c, libs/woff2/brotli/enc/cluster.h, 
    libs/woff2/brotli/enc/cluster_inc.h, libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.c, 
    libs/woff2/brotli/enc/compress_fragment.h, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.c, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.h, 
    libs/woff2/brotli/enc/context.h, libs/woff2/brotli/enc/dictionary_hash.c, 
    libs/woff2/brotli/enc/dictionary_hash.h, libs/woff2/brotli/enc/encode.c, 
    libs/woff2/brotli/enc/entropy_encode.c, 
    libs/woff2/brotli/enc/entropy_encode.h, 
    libs/woff2/brotli/enc/entropy_encode_static.h, 
    libs/woff2/brotli/enc/fast_log.h, 
    libs/woff2/brotli/enc/find_match_length.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match64_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/woff2/brotli/enc/hash_to_binary_tree_inc.h, 
    libs/woff2/brotli/enc/histogram.c, libs/woff2/brotli/enc/histogram.h, 
    libs/woff2/brotli/enc/histogram_inc.h, 
    libs/woff2/brotli/enc/literal_cost.c, 
    libs/woff2/brotli/enc/literal_cost.h, libs/woff2/brotli/enc/memory.c, 
    libs/woff2/brotli/enc/memory.h, libs/woff2/brotli/enc/metablock.c, 
    libs/woff2/brotli/enc/metablock.h, libs/woff2/brotli/enc/metablock_inc.h, 
    libs/woff2/brotli/enc/port.h, libs/woff2/brotli/enc/prefix.h, 
    libs/woff2/brotli/enc/quality.h, libs/woff2/brotli/enc/ringbuffer.h, 
    libs/woff2/brotli/enc/static_dict.c, libs/woff2/brotli/enc/static_dict.h, 
    libs/woff2/brotli/enc/static_dict_lut.h, 
    libs/woff2/brotli/enc/utf8_util.c, libs/woff2/brotli/enc/utf8_util.h, 
    libs/woff2/brotli/enc/write_bits.h, 
    libs/woff2/brotli/include/brotli/decode.h, 
    libs/woff2/brotli/include/brotli/encode.h, 
    libs/woff2/brotli/include/brotli/port.h, 
    libs/woff2/brotli/include/brotli/types.h, src/Makefile.am, 
    tests/Makefile.am, tests/create-makefile: 
  moved brotli from woff2 to libs folder 

2017-12-12  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/variant/include/mpark/config.hpp, 
    libs/variant/include/mpark/lib.hpp, 
    libs/variant/include/mpark/variant.hpp: 
  updated mpark::variant to 
  https://github.com/mpark/variant/commit/382014b
fixes a build error 
  introduced with MSVC 19.12 

2017-12-11  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.2.3 

  * NEWS: 
  updated NEWS 

2017-11-29  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/brotli/common/dictionary.h, 
    libs/woff2/brotli/common/version.h, 
    libs/woff2/brotli/enc/backward_references_hq.c, 
    libs/woff2/brotli/enc/backward_references_hq.h, 
    libs/woff2/brotli/enc/port.h, libs/woff2/brotli/enc/quality.h, 
    libs/woff2/brotli/include/brotli/decode.h, 
    libs/woff2/brotli/include/brotli/encode.h: 
  updated brotli to version 1.0.2 

2017-11-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BoundingBox.cpp, src/BoundingBox.hpp, 
    src/Color.cpp, src/PathClipper.cpp, src/SVGTree.cpp, 
    tests/BoundingBoxTest.cpp: 
  minor code cleanup and improvements 

  * src/DependencyGraph.hpp: 
  simplified DependencyGraph::GraphNode 

2017-11-23  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/TpicSpecialTest.cpp: 
  added missing initializers in TpicSpecialTest 

  * tests/EmSpecialTest.cpp: 
  added missing initializers in EmSpecialTest 

  * src/DependencyGraph.hpp: 
  fixed dangling pointer issue in DependencyGraph 

  * src/Makefile.am, tests/Makefile.am, tests/create-makefile: 
  suppress warnings regarding 'mismatched tags' 
  (class/struct)
https://gcc.gnu.org/wiki/FAQ#Why_GCC_does_not_warn_for_mismatch_between_struct_and_class_.28-Wmismatched-tags.29_.3F 

2017-11-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSPattern.cpp, src/SVGCharHandler.cpp, src/SVGTree.cpp, 
    src/TpicSpecialHandler.cpp: 
  removed redundant calls of std::move() 

  * src/Subfont.cpp, src/Subfont.hpp, tests/CMapManagerTest.cpp, 
    tests/FileFinderTest.cpp, tests/FontManagerTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/SubfontTest.cpp, tests/create-makefile, 
    tests/testmain.cpp, tests/testutil.hpp: 
  tests: moved common initializations to testmain.cpp 

  * src/DVIReader.hpp, tests/DVIReaderTest.cpp, tests/Makefile.am, 
    tests/data/Makefile.am, tests/data/cmr10.pfb, tests/data/sample_v2.dvi, 
    tests/data/sample_v3.dvi: 
  added test for DVIReader 

2017-11-21  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am: 
  removed redundant lcov statement from Makefile 

2017-11-20  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/CMapTest.cpp, tests/GFReaderTest.cpp, tests/JFMReaderTest.cpp, 
    tests/RangeMapTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/VectorStreamTest.cpp: 
  tests: few code improvements 

  * README.md: 
  added donation badge to readme 

2017-11-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.hpp: 
  prevent dangling pointers to font map entries (closes #79) 

  * src/CMapManager.cpp, src/FileFinder.cpp, src/Font.cpp, src/Font.hpp, 
    src/FontEngine.cpp, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMap.hpp, src/Ghostscript.cpp, src/MiKTeXCom.cpp, src/XMLNode.cpp: 
  replaced null pointer constants with 'nullptr' 

  * src/XMLString.cpp, tests/TensorProductPatchTest.cpp, 
    tests/XMLStringTest.cpp: 
  avoid scientific notation when printing floats/doubles 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.2.2 

  * NEWS: 
  updated NEWS 

2017-11-13  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  ensure tweak-db-refentry.xsl is put into the tarball 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.2.1 

  * NEWS, README.md: 
  updated NEWS and README 

  * libs/variant/include/mpark/lib.hpp, 
    libs/variant/include/mpark/variant.hpp: 
  updated mpark::variant to commit 
  ea542a0
https://github.com/mpark/variant/commit/ea542a0fef86fb8c1696238b95bdaddb8ff2337c 

2017-11-10  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md, doc/dvisvgm.txt.in: 
  minor additions/fixes of manpage and README 

2017-11-02  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/db2html.xsl, doc/tweak-db-refentry.xsl: 
  manpage: avoid using 'stats' to improve portability (closes #72) 

2017-10-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp, src/InputReader.hpp, src/PSInterpreter.cpp: 
  simplified code to lookup PS operators 

2017-10-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  properly apply CTM to linewidth (closes #77) 

  * src/PsSpecialHandler.hpp, src/psdefs.cpp, tests/PSInterpreterTest.cpp: 
  call applyscalevals on every change of the CTM 

2017-10-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/DVIToSVGActions.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/EPSToSVG.cpp, src/EPSToSVG.hpp, 
    src/EmSpecialHandler.cpp, src/HyperlinkManager.cpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/PsSpecialHandler.cpp, src/SVGCharHandler.cpp, 
    src/SVGCharHandler.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGTree.cpp, src/SVGTree.hpp, src/ShadingPatch.hpp, 
    src/SpecialActions.hpp, src/TpicSpecialHandler.cpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/utility.hpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/TpicSpecialTest.cpp, tests/XMLNodeTest.cpp: 
  replaced raw XMLNode pointers with unique_ptrs
which helps to ensure 
  proper ownership and simplifies deleting the corresponding objects 

  * src/DependencyGraph.hpp, src/SVGTree.cpp, tests/DependencyGraphTest.cpp: 
  manage heap memory in DependencyGraph with unique_ptrs 

2017-10-21  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/fontforge/macbinary.c: 
  updated link to CTAN:/tools/macutils/crc 

2017-10-20  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/include/woff2/version.h: 
  replaced CRLF line endings 

2017-10-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapManager.cpp, src/CMapReader.cpp, src/CMapReader.hpp, 
    src/DVIActions.hpp, src/DVIToSVG.cpp, src/DVIToSVG.hpp, 
    src/DVIToSVGActions.hpp, src/FileFinder.cpp, src/Font.cpp, src/Font.hpp, 
    src/FontEncoding.cpp, src/FontEncoding.hpp, src/FontEngine.cpp, 
    src/FontEngine.hpp, src/FontManager.cpp, src/FontMetrics.cpp, 
    src/FontMetrics.hpp, src/PSPattern.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.hpp, src/SVGCharHandlerFactory.cpp, 
    src/SVGCharHandlerFactory.hpp, src/SVGOutput.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/ShadingPatch.cpp, 
    src/ShadingPatch.hpp, src/SignalHandler.cpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/XMLNode.cpp, tests/CMapReaderTest.cpp, 
    tests/ShadingPatchTest.cpp: 
  replaced several bare new/delete statements with unique pointers 

  * src/dvisvgm.cpp: 
  fixed output of option --version 

  * src/Length.hpp, src/PageSize.cpp: 
  added user-defined literals for some length units 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.2 

  * NEWS, README, README.md: 
  updated NEWS and README 

2017-10-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp: 
  added missing #include of config.h 

  * src/Message.cpp: 
  check for '\0' at end of DVISVGM_COLORS 

  * src/Subfont.cpp: 
  don't access unique_ptr after it has been moved 

2017-10-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PDFParser.cpp, src/PDFParser.hpp: 
  replaced shared_ptr with unique_ptr in PDFParser 

2017-10-13  Martin Gieseking  <martin.gieseking@uos.de>

  * AUTHORS, configure.ac, doc/dvisvgm.txt.in, libs/Makefile.am, 
    libs/variant/CMakeLists.txt, libs/variant/LICENSE.md, 
    libs/variant/Makefile.am, libs/variant/include/mpark/in_place.hpp, 
    libs/variant/include/mpark/lib.hpp, 
    libs/variant/include/mpark/variant.hpp, src/HyperlinkManager.cpp, 
    src/HyperlinkManager.hpp, src/InputReader.hpp, src/Makefile.am, 
    src/PDFParser.cpp, src/PDFParser.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, tests/Makefile.am, tests/PDFParserTest.cpp, 
    tests/SpecialManagerTest.cpp, tests/create-makefile: 
  added evaluation of PDF hyperlink specials (closes #74) 

  * libs/variant/include/mpark/config.hpp: 
  added missing config file 

  * .travis.yml: 
  Travis: use gcc 4.9 rather than 4.8 to compile mpark::variant correctly 

  * tests/Makefile.am, tests/create-makefile, tests/testmain.cpp: 
  add custom testmain to gtest.a 

2017-10-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/HyperlinkManager.cpp, src/HyperlinkManager.hpp, src/Makefile.am, 
    src/dvisvgm.cpp: 
  separated hyperlink functionality from HtmlSpecialHandler to 
  HyperlinkManager 

2017-10-09  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/src/font.cc, libs/woff2/src/normalize.cc, 
    libs/woff2/src/woff2_enc.cc: 
  woff2: removed unused variables to prevent compiler warnings 

  * libs/woff2/src/font.cc, libs/woff2/src/normalize.cc, 
    libs/woff2/src/woff2_enc.cc: 
  woff2: removed unused variables to prevent compiler warnings 

2017-10-08  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/Makefile.am, libs/woff2/include/woff2/decode.h, 
    libs/woff2/include/woff2/encode.h, libs/woff2/include/woff2/file.h, 
    libs/woff2/include/woff2/output.h, libs/woff2/include/woff2/version.h, 
    libs/woff2/src/buffer.h, libs/woff2/src/file.h, libs/woff2/src/font.cc, 
    libs/woff2/src/font.h, libs/woff2/src/glyph.cc, libs/woff2/src/glyph.h, 
    libs/woff2/src/normalize.cc, libs/woff2/src/normalize.h, 
    libs/woff2/src/port.h, libs/woff2/src/round.h, 
    libs/woff2/src/store_bytes.h, libs/woff2/src/table_tags.cc, 
    libs/woff2/src/table_tags.h, libs/woff2/src/transform.cc, 
    libs/woff2/src/transform.h, libs/woff2/src/variable_length.cc, 
    libs/woff2/src/variable_length.h, libs/woff2/src/woff2_common.cc, 
    libs/woff2/src/woff2_common.h, libs/woff2/src/woff2_dec.h, 
    libs/woff2/src/woff2_enc.cc, libs/woff2/src/woff2_enc.h, 
    libs/woff2/src/woff2_out.cc, libs/woff2/src/woff2_out.h, 
    src/FontWriter.cpp, src/Makefile.am, src/dvisvgm.cpp: 
  updated woff2 to version 1.0.1 

2017-10-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CRC32.hpp, src/SpecialManager.hpp, src/Subfont.hpp, src/XMLNode.hpp: 
  use delete/default to remove/implement constructors 

  * src/XMLNode.cpp, src/XMLNode.hpp: 
  added move constructor to XMLElementNode 

  * src/Subfont.cpp, src/Subfont.hpp, src/utility.hpp: 
  removed stream-based constructor of SubfontException 

2017-09-29  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/PapersizeSpecialHandler.cpp, 
    src/PapersizeSpecialHandler.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, tests/PapersizeSpecialTest.cpp: 
  added evaluation of pdf:pagesize specials 

2017-09-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/Length.hpp, src/PageSize.cpp, src/PageSize.hpp, 
    src/utility.hpp, tests/PageSizeTest.cpp: 
  use class Length in PageSize rather than plain numbers 

  * src/BoundingBox.cpp, src/BoundingBox.hpp, src/DVIToSVG.cpp, 
    src/utility.cpp, src/utility.hpp, tests/BoundingBoxTest.cpp, 
    tests/UtilityTest.cpp: 
  rewrite of BoundingBox::extractLengths() 

2017-09-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp: 
  use isxdigit() to check hex digits 

  * src/InputReader.cpp, src/InputReader.hpp, tests/Makefile.am, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StringMatcherTest.cpp: 
  use Knuth-Morris-Pratt algorithm to find a string in a stream 

  * libs/woff2/brotli/common/constants.h, 
    libs/woff2/brotli/common/dictionary.c, 
    libs/woff2/brotli/common/dictionary.h, 
    libs/woff2/brotli/common/version.h, 
    libs/woff2/brotli/enc/backward_references.c, 
    libs/woff2/brotli/enc/backward_references_hq.c, 
    libs/woff2/brotli/enc/backward_references_hq.h, 
    libs/woff2/brotli/enc/backward_references_inc.h, 
    libs/woff2/brotli/enc/block_splitter.c, 
    libs/woff2/brotli/enc/block_splitter_inc.h, 
    libs/woff2/brotli/enc/brotli_bit_stream.c, 
    libs/woff2/brotli/enc/brotli_bit_stream.h, 
    libs/woff2/brotli/enc/cluster_inc.h, libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.c, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.c, 
    libs/woff2/brotli/enc/encode.c, 
    libs/woff2/brotli/enc/find_match_length.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match64_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/woff2/brotli/enc/hash_to_binary_tree_inc.h, 
    libs/woff2/brotli/enc/memory.h, libs/woff2/brotli/enc/port.h, 
    libs/woff2/brotli/enc/write_bits.h, 
    libs/woff2/brotli/include/brotli/decode.h, 
    libs/woff2/brotli/include/brotli/encode.h: 
  updated Brotli to version 1.0.1 

2017-09-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/SpecialManager.cpp, src/SpecialManager.hpp, 
    src/utility.hpp, tests/Makefile.am, tests/SpecialManagerTest.cpp: 
  use smart pointers to allocate/deallocate SpecialHandlers 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, 
    src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    tests/ColorSpecialTest.cpp, tests/PapersizeSpecialTest.cpp: 
  changed return value of SpecialHandler::prefixes() to std::vector 

  * .appveyor.yml: 
  AppVeyor: updated FreeType to version 2.8.1 

2017-09-13  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FileSystemTest.cpp: 
  close streams before removing corresponding files 

2017-09-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  fixed number of dashes printed by option -V1 

2017-09-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DependencyGraph.hpp, src/SVGTree.cpp, tests/DependencyGraphTest.cpp: 
  DependencyGraph::getKeys(): return result, don't use reference parameter 

  * src/FileFinder.cpp, src/Makefile.am: 
  added missing #include; added windows.hpp to Makefile.am 

  * tests/Makefile.am, tests/create-makefile, tests/testmain.cpp: 
  define variable TEST_ARGV0 to make argv[0] of main() available in 
  tests
this is required to initialize kpathsea properly, for example 

  * src/FileFinder.cpp, src/FileFinder.hpp, tests/CMapManagerTest.cpp, 
    tests/FileFinderTest.cpp, tests/FontManagerTest.cpp, 
    tests/MapLineTest.cpp, tests/SubfontTest.cpp: 
  init libkpathsea correctly in tests to prevent assertion failures 

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  updated xxHash to version 0.6.3 

2017-09-07  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontCacheTest.cpp, tests/Makefile.am, tests/create-makefile: 
  fixed path issue in FontCacheTest 

  * src/GFReader.cpp: 
  fixed incorrect integer type in GFReader; insert CharInfos with emplace 

  * src/MapLine.cpp, tests/MapLineTest.cpp: 
  treat prefix "<<" in a mapline as "<[" (skip second char) 

  * doc/dvisvgm.txt.in, src/dvisvgm.cpp: 
  added pdftex.map to default mapfiles 

2017-09-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/BgColorSpecialHandler.cpp, src/Bitmap.cpp, 
    src/BoundingBox.cpp, src/CMap.cpp, src/CMapReader.cpp, src/CRC32.cpp, 
    src/Calculator.cpp, src/ColorSpecialHandler.cpp, src/DLLoader.cpp, 
    src/DVIReader.cpp, src/Directory.cpp, src/EPSFile.cpp, src/EPSToSVG.cpp, 
    src/EmSpecialHandler.cpp, src/EncFile.cpp, src/FileFinder.cpp, 
    src/FilePath.cpp, src/Font.cpp, src/FontCache.cpp, src/FontEncoding.cpp, 
    src/FontEngine.cpp, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMap.hpp, src/FontMetrics.cpp, src/FontWriter.cpp, 
    src/GFGlyphTracer.cpp, src/GFTracer.cpp, src/HtmlSpecialHandler.cpp, 
    src/InputBuffer.cpp, src/InputReader.cpp, src/JFM.cpp, src/MapLine.cpp, 
    src/Message.cpp, src/MetafontWrapper.cpp, src/MiKTeXCom.cpp, 
    src/NoPsSpecialHandler.cpp, src/PSInterpreter.cpp, src/PSPattern.cpp, 
    src/PSPreviewFilter.cpp, src/PageRanges.cpp, src/PageSize.cpp, 
    src/PathClipper.cpp, src/PdfSpecialHandler.cpp, src/SVGTree.cpp, 
    src/SpecialManager.cpp, src/StreamWriter.cpp, src/TFM.cpp, 
    src/VFReader.cpp, src/XMLDocument.cpp, src/XMLNode.cpp, 
    src/XMLString.cpp, src/dvisvgm.cpp: 
  removed redundant #includes of config.h 

  * src/DLLoader.hpp, src/Directory.cpp, src/Directory.hpp, 
    src/FileSystem.cpp, src/MiKTeXCom.hpp, src/Process.cpp, src/Terminal.cpp, 
    src/windows.hpp: 
  disable macros min/max defined in windows.h 

  * src/CLCommandLine.cpp, src/CMapManager.cpp, src/CMapManager.hpp, 
    src/Calculator.cpp, src/Calculator.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.hpp, src/DependencyGraph.hpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.hpp, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.hpp, src/FileFinder.cpp, 
    src/Font.cpp, src/Font.hpp, src/FontCache.hpp, src/FontEncoding.cpp, 
    src/FontManager.cpp, src/FontManager.hpp, src/FontMap.hpp, 
    src/GFReader.hpp, src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/Message.cpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/SVGTree.cpp, 
    src/SVGTree.hpp, src/SpecialManager.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, tests/StreamInputBufferTest.cpp: 
  replaced std::map with std::unordered_map where possible to increase 
  performance 

2017-09-05  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/DvisvgmSpecialTest.cpp: 
  replaced constexpr with const to make clang happy 

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  allow all common length units in dvisvgm specials 

2017-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.hpp, src/CMapReader.cpp, src/Color.cpp, 
    src/CommandLine.hpp, src/FontWriter.cpp, tests/genhashcheck.py: 
  use list initialization on constant std::arrays 

  * tests/MapLineTest.cpp: 
  added braces to prevent compiler warnings 

2017-08-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapManager.cpp, src/DvisvgmSpecialHandler.cpp, src/Font.cpp, 
    src/Ghostscript.cpp, src/PsSpecialHandler.cpp, src/dvisvgm.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  use range-based for to iterate over a fixed sequence of items 

2017-08-17  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_code_coverage.m4: 
  updated ax_code_coverage.m4 to version 25 

2017-08-06  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: updated potrace to version 1.15 

2017-08-01  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/src/font.cc, libs/woff2/src/normalize.cc, 
    libs/woff2/src/port.h, libs/woff2/src/store_bytes.h, 
    libs/woff2/src/woff2_common.cc, libs/woff2/src/woff2_enc.cc: 
  updated woff2 to https://github.com/google/woff2/commits/2e09253 

2017-06-26  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml: 
  AppVeyor: changed build image to VS 2017; updated FreeType to 2.8 

2017-06-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  psfile: fixed sign of y coordinates 

2017-06-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.hpp: 
  use bp units for line width and miter limit 

2017-06-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/EPSToSVG.cpp: 
  remove redundant clipPath elements also when converting EPS files 

2017-05-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.hpp: 
  replaced vector with deque in class GraphicsPath
due to cheaper front 
  insertions/deletions 

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp: 
  manage memory of ClippingStack with shared pointers
- automatically 
  deletes unreferenced path objects
- avoids keeping popped (and no longer 
  required) paths in the pool vector 

2017-05-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Pair.hpp, tests/PairTest.cpp: 
  added abs() and negation operator to class Pair 

  * src/Matrix.hpp, src/PsSpecialHandler.cpp: 
  respect transformation of PS state in computation of psfile position 
  (fixes #70) 

  * src/FileFinder.cpp, src/PsSpecialHandler.cpp: 
  lookup psfile in texmf tree if it's not present in cwd (fixes #69) 

2017-05-16  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontCacheTest.cpp, tests/Makefile.am, tests/create-makefile: 
  FontCacheTest: write test output to $builddir/data
$srcdir/data may be 
  read-only so that the tests fail unintentionally 

2017-05-15  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/brotli/LICENSE, libs/woff2/brotli/Makefile.am, 
    libs/woff2/brotli/common/constants.h, 
    libs/woff2/brotli/common/dictionary.c, 
    libs/woff2/brotli/common/dictionary.h, 
    libs/woff2/brotli/common/version.h, 
    libs/woff2/brotli/enc/backward_references.c, 
    libs/woff2/brotli/enc/backward_references.h, 
    libs/woff2/brotli/enc/backward_references_hq.c, 
    libs/woff2/brotli/enc/backward_references_hq.h, 
    libs/woff2/brotli/enc/backward_references_inc.h, 
    libs/woff2/brotli/enc/block_splitter_inc.h, 
    libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.c, 
    libs/woff2/brotli/enc/compress_fragment.h, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.c, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.h, 
    libs/woff2/brotli/enc/context.h, libs/woff2/brotli/enc/dictionary_hash.c, 
    libs/woff2/brotli/enc/dictionary_hash.h, libs/woff2/brotli/enc/encode.c, 
    libs/woff2/brotli/enc/fast_log.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match64_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/woff2/brotli/enc/hash_to_binary_tree_inc.h, 
    libs/woff2/brotli/enc/histogram.c, libs/woff2/brotli/enc/literal_cost.c, 
    libs/woff2/brotli/enc/memory.h, libs/woff2/brotli/enc/metablock.c, 
    libs/woff2/brotli/enc/metablock.h, libs/woff2/brotli/enc/quality.h, 
    libs/woff2/brotli/enc/static_dict.c, libs/woff2/brotli/enc/static_dict.h, 
    libs/woff2/brotli/include/brotli/decode.h, 
    libs/woff2/brotli/include/brotli/encode.h, 
    libs/woff2/brotli/include/brotli/port.h, 
    libs/woff2/brotli/include/brotli/types.h: 
  updated brotli to version 0.6.0 

2017-05-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Process.cpp: 
  close pipe if fork() fails 

2017-05-08  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/SignalHandler.cpp, src/SignalHandler.hpp: 
  use sigaction() rather than signal() if possible 

  * src/Process.cpp, src/Process.hpp: 
  refactored Process class
- use separate class to encapsulate 
  system-dependent stuff and to ensure
  proper termination in case of 
  signals or errors
- prevent blocking if subprocess doesn't write anything 
  to stdout/stderr 

2017-04-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Process.cpp: 
  quit Process::run() if child process terminated unexpectedly (fixes #68) 

2017-04-27  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/create-makefile: 
  added the FontWriter dependencies to the tests 

2017-04-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Color.hpp, src/PSPattern.cpp, 
    tests/ColorSpecialTest.cpp: 
  avoid implicit conversion of Color object to RGB integer 

  * src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.hpp, 
    tests/Makefile.am, tests/TpicSpecialTest.cpp: 
  improved the TPIC special handler and added tests for it 

  * src/TpicSpecialHandler.cpp, tests/TpicSpecialTest.cpp: 
  added evaluation of TPIC's 'tx' special command 

2017-04-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.hpp, src/BgColorSpecialHandler.hpp, 
    src/CLCommandLine.hpp, src/CMapManager.hpp, src/DVIToSVGActions.hpp, 
    src/DependencyGraph.hpp, src/DvisvgmSpecialHandler.hpp, src/FilePath.hpp, 
    src/Font.hpp, src/FontCache.cpp, src/FontCache.hpp, src/FontEngine.cpp, 
    src/FontManager.hpp, src/Ghostscript.hpp, src/Glyph.hpp, 
    src/GraphicsPath.hpp, src/HtmlSpecialHandler.hpp, src/NumericRanges.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PathClipper.cpp, src/PathClipper.hpp, src/PsSpecialHandler.hpp, 
    src/RangeMap.hpp, src/SVGCharPathHandler.hpp, src/ShadingPatch.hpp, 
    src/SpecialManager.hpp, src/Subfont.hpp, src/VFReader.hpp, 
    src/XMLNode.cpp, src/XMLNode.hpp, src/dvisvgm.cpp: 
  replaced typedefs with 'using' statements 

2017-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  simplify code for looking up libgs (closes #66) 

2017-04-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DLLoader.cpp, src/DLLoader.hpp: 
  added DLLoader::loadLibrary() to assign a different library 

  * src/DLLoader.cpp, src/DLLoader.hpp, src/Ghostscript.cpp: 
  replaced c-string parameters of DLLoader() and loadLibrary() with 
  std::string 

2017-04-13  Toby Fleming  <tobywf@users.noreply.github.com>

  * src/Ghostscript.cpp: 
  Auto-detect ghostscript dynamic library on macOS 

2017-03-22  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_code_coverage.m4, m4/ax_cxx_compile_stdcxx.m4: 
  updated m4 scripts 

2017-03-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, tests/FileFinderTest.cpp: 
  fixed handling of absolute additional directories in FileFinder 

  * tests/FilePathTest.cpp, tests/FontCacheTest.cpp, 
    tests/SVGOutputTest.cpp: 
  tests: minor path improvements 

2017-03-02  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/src/normalize.cc, libs/woff2/src/woff2_enc.cc: 
  woff2: removed unused variables 

  * src/Makefile.am, src/dvisvgm.cpp: 
  improved generation of list showing the library versions 

  * src/Color.cpp, src/FilePath.cpp, src/FontWriter.cpp, src/PageSize.cpp, 
    src/dvisvgm.cpp, src/utility.cpp, src/utility.hpp, tests/UtilityTest.cpp: 
  removed side-effect from util::to_lower(); returns new modified string 
  instead 

2017-03-01  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/fontforge/nowakowskittfinstr.c: 
  ff-woff: removed redundant variables 

  * libs/woff2/Makefile.am, libs/woff2/brotli/Makefile.am, 
    libs/woff2/brotli/common/constants.h, 
    libs/woff2/brotli/common/dictionary.c, 
    libs/woff2/brotli/common/dictionary.h, 
    libs/woff2/brotli/common/version.h, 
    libs/woff2/brotli/enc/backward_references.c, 
    libs/woff2/brotli/enc/backward_references.cc, 
    libs/woff2/brotli/enc/backward_references.h, 
    libs/woff2/brotli/enc/backward_references_inc.h, 
    libs/woff2/brotli/enc/bit_cost.c, libs/woff2/brotli/enc/bit_cost.h, 
    libs/woff2/brotli/enc/bit_cost_inc.h, 
    libs/woff2/brotli/enc/block_encoder_inc.h, 
    libs/woff2/brotli/enc/block_splitter.c, 
    libs/woff2/brotli/enc/block_splitter.cc, 
    libs/woff2/brotli/enc/block_splitter.h, 
    libs/woff2/brotli/enc/block_splitter_inc.h, 
    libs/woff2/brotli/enc/brotli_bit_stream.c, 
    libs/woff2/brotli/enc/brotli_bit_stream.cc, 
    libs/woff2/brotli/enc/brotli_bit_stream.h, 
    libs/woff2/brotli/enc/cluster.c, libs/woff2/brotli/enc/cluster.h, 
    libs/woff2/brotli/enc/cluster_inc.h, libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.c, 
    libs/woff2/brotli/enc/compress_fragment.cc, 
    libs/woff2/brotli/enc/compress_fragment.h, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.c, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.cc, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.h, 
    libs/woff2/brotli/enc/compressor.h, libs/woff2/brotli/enc/context.h, 
    libs/woff2/brotli/enc/dictionary.cc, libs/woff2/brotli/enc/dictionary.h, 
    libs/woff2/brotli/enc/dictionary_hash.h, libs/woff2/brotli/enc/encode.c, 
    libs/woff2/brotli/enc/encode.cc, libs/woff2/brotli/enc/encode.h, 
    libs/woff2/brotli/enc/encode_parallel.cc, 
    libs/woff2/brotli/enc/encode_parallel.h, 
    libs/woff2/brotli/enc/entropy_encode.c, 
    libs/woff2/brotli/enc/entropy_encode.cc, 
    libs/woff2/brotli/enc/entropy_encode.h, 
    libs/woff2/brotli/enc/entropy_encode_static.h, 
    libs/woff2/brotli/enc/fast_log.h, 
    libs/woff2/brotli/enc/find_match_length.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/hash_forgetful_chain_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_inc.h, 
    libs/woff2/brotli/enc/hash_longest_match_quickly_inc.h, 
    libs/woff2/brotli/enc/histogram.c, libs/woff2/brotli/enc/histogram.cc, 
    libs/woff2/brotli/enc/histogram.h, libs/woff2/brotli/enc/histogram_inc.h, 
    libs/woff2/brotli/enc/literal_cost.c, 
    libs/woff2/brotli/enc/literal_cost.cc, 
    libs/woff2/brotli/enc/literal_cost.h, libs/woff2/brotli/enc/memory.c, 
    libs/woff2/brotli/enc/memory.h, libs/woff2/brotli/enc/metablock.c, 
    libs/woff2/brotli/enc/metablock.cc, libs/woff2/brotli/enc/metablock.h, 
    libs/woff2/brotli/enc/metablock_inc.h, libs/woff2/brotli/enc/port.h, 
    libs/woff2/brotli/enc/prefix.h, libs/woff2/brotli/enc/quality.h, 
    libs/woff2/brotli/enc/ringbuffer.h, libs/woff2/brotli/enc/static_dict.c, 
    libs/woff2/brotli/enc/static_dict.cc, 
    libs/woff2/brotli/enc/static_dict.h, 
    libs/woff2/brotli/enc/static_dict_lut.h, 
    libs/woff2/brotli/enc/streams.cc, libs/woff2/brotli/enc/streams.h, 
    libs/woff2/brotli/enc/transform.h, libs/woff2/brotli/enc/types.h, 
    libs/woff2/brotli/enc/utf8_util.c, libs/woff2/brotli/enc/utf8_util.cc, 
    libs/woff2/brotli/enc/utf8_util.h, libs/woff2/brotli/enc/write_bits.h, 
    libs/woff2/brotli/include/brotli/decode.h, 
    libs/woff2/brotli/include/brotli/encode.h, 
    libs/woff2/brotli/include/brotli/port.h, 
    libs/woff2/brotli/include/brotli/types.h, libs/woff2/src/buffer.h, 
    libs/woff2/src/font.cc, libs/woff2/src/glyph.cc, 
    libs/woff2/src/variable_length.cc, libs/woff2/src/woff2_dec.h, 
    libs/woff2/src/woff2_enc.cc, src/Makefile.am: 
  updated woff2 to https://github.com/google/woff2/commit/68e9ab5 

2017-02-23  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/BezierTest.cpp, tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/ColorTest.cpp, tests/CommandLineTest.cpp, 
    tests/DirectoryTest.cpp, tests/FileSystemTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/JFMReaderTest.cpp, 
    tests/MatrixTest.cpp, tests/PageRagesTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/XMLNodeTest.cpp: 
  fixed signed/unsigned warnings in tests 

2017-02-22  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/woff2/brotli/tools/bro.cc, libs/woff2/brotli/tools/rfc-format.py, 
    libs/woff2/brotli/tools/version.h: 
  removed redundant files 

2017-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.3 

  * NEWS: 
  updated NEWS 

2017-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/inc/ffintl.h: 
  ff-woff: removed redundant defines and prototypes to fix build failure 
  on Solaris 

  * tests/genhashcheck.py: 
  reformatted genhashcheck 

  * tests/BezierTest.cpp, tests/CRC32Test.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/XMLNodeTest.cpp: 
  minor additions to some tests 

2017-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, libs/ff-woff/Makefile.am, 
    libs/ff-woff/fontforge/fflocale.c, libs/ff-woff/fontforge/fflocale.h, 
    libs/ff-woff/fontforge/sfd.c, libs/ff-woff/fontforge/splinefont.h, 
    libs/ff-woff/fontforge/tottf.c: 
  ff-woff: only call uselocale() if present, use setlocale() otherwise 

2017-02-14  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  added information on required C++11 compiler to README 

  * tests/genhashcheck.py: 
  made genhashcheck.py compatible with Python 3 (plus few minor changes) 

2017-02-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MapLine.cpp, src/MapLine.hpp, tests/ColorSpecialTest.cpp, 
    tests/FontMapTest.cpp, tests/LengthTest.cpp, tests/MapLineTest.cpp: 
  improved a couple of test cases 

  * src/Color.cpp, src/Matrix.cpp, src/TpicSpecialHandler.cpp, 
    src/utility.hpp: 
  replaced non-standard constant M_PI with own definition 

  * src/Color.cpp, src/Matrix.cpp, src/utility.hpp: 
  replaced local copies of deg2rad with global function 

2017-02-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, appveyor.yml: 
  exclude branch 'tmp' from CI builds 

2017-02-11  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/Makefile.am, libs/ff-woff/fontforge/fontforge.h, 
    libs/ff-woff/inc/ffintl.h, libs/ff-woff/inc/intl.h: 
  don't try to #include libintl.h 

  * .travis.yml: 
  Travis: enable clang builds again 

  * NEWS: 
  updated NEWS 

2017-02-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp: 
  fixed number parsing in Calculator class (failed on Mac) 

  * tests/StreamReaderTest.cpp: 
  clear istream flags to prevent failure of StreamReaderTest 

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  removed 'restrict' keyword from xxHash 

  * .travis.yml, appveyor.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.2 

2017-02-09  Martin Gieseking  <martin.gieseking@uos.de>

  * .gitignore, .travis.yml, Makefile.am, configure.ac, tests/Makefile.am, 
    tests/create-makefile, tests/gtest/LICENSE, 
    tests/gtest/include/gtest/gtest-death-test.h, 
    tests/gtest/include/gtest/gtest-message.h, 
    tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-test-part.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/gtest_pred_impl.h, 
    tests/gtest/include/gtest/gtest_prod.h, 
    tests/gtest/include/gtest/internal/custom/gtest-port.h, 
    tests/gtest/include/gtest/internal/custom/gtest-printers.h, 
    tests/gtest/include/gtest/internal/custom/gtest.h, 
    tests/gtest/include/gtest/internal/gtest-death-test-internal.h, 
    tests/gtest/include/gtest/internal/gtest-filepath.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-linked_ptr.h, 
    tests/gtest/include/gtest/internal/gtest-param-util-generated.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/include/gtest/internal/gtest-string.h, 
    tests/gtest/include/gtest/internal/gtest-tuple.h, 
    tests/gtest/include/gtest/internal/gtest-type-util.h, 
    tests/gtest/src/gtest-all.cc, tests/gtest/src/gtest-death-test.cc, 
    tests/gtest/src/gtest-filepath.cc, tests/gtest/src/gtest-internal-inl.h, 
    tests/gtest/src/gtest-port.cc, tests/gtest/src/gtest-printers.cc, 
    tests/gtest/src/gtest-test-part.cc, tests/gtest/src/gtest-typed-test.cc, 
    tests/gtest/src/gtest.cc, tests/gtest/src/gtest_main.cc: 
  bundle gtest with the sources to simplify building and running the tests 

  * src/Directory.cpp, tests/DirectoryTest.cpp: 
  prevent calling closedir() with null pointer argument 

  * src/VectorStream.hpp: 
  don't access first vector component if the vector is empty 

  * src/GFReader.cpp, src/StreamReader.cpp, tests/GFReaderTest.cpp, 
    tests/StreamReaderTest.cpp: 
  improved implementation of getString() 

  * src/CLCommandLine.cpp: 
  reset status flags before changing the sstream source 

2017-02-08  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/CommandLineTest.cpp: 
  removed redundant function 

  * src/XMLString.cpp, tests/EmSpecialTest.cpp, tests/GFGlyphTracerTest.cpp: 
  avoid negative zeros (-0) in SVG output 

  * src/BoundingBox.cpp: 
  fixed memory issue in BoundingBox class 

  * src/CMapReader.cpp, src/InputReader.cpp, src/InputReader.hpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp: 
  fixed potential number overflow issue 

  * tests/CMapReaderTest.cpp: 
  fixed memory leak in CMapReaderTest 

  * src/Subfont.cpp: 
  fixed memory leak in Subfont class 

  * src/XMLNode.cpp: 
  fixed memory leak in class XMLElementNode 

2017-02-07  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  replaced deprecated AC_CONFIG_HEADER 

  * NEWS: 
  updated NEWS 

  * libs/clipper/License.txt: 
  fixed line endings of clipper/License.txt 

2017-02-06  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, appveyor.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.1 

2017-02-04  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontCacheTest.cpp: 
  fixed FontCacheTest ('make distcheck' failed) 

2017-02-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Color.hpp, src/VectorIterator.hpp, 
    tests/ColorTest.cpp, tests/VectorIteratorTest.cpp: 
  increased coverage of ColorTest 

  * configure.ac, libs/ff-woff/fontforge/splinefont.h: 
  include xlocale.h in ff-woff if available (fixes #65) 

2017-02-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  removed spurious colon from src/Makefile.am 

  * configure.ac: 
  allow C++11 language extensions if necessary 

  * src/Font.cpp, src/Font.hpp: 
  report Metafont failures only once for each font 

2017-01-31  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  README: updated links, added release badge 

2017-01-30  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontManagerTest.cpp, tests/data/cmr10.pfb: 
  prevent FontManagerTest to fail due to missing font files 

2017-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, tests/MatrixTest.cpp: 
  minor changes of matrix class; improved MatrixTest 

2017-01-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    tests/Makefile.am, tests/PapersizeSpecialTest.cpp, tests/create-makefile: 
  added PapersizeSpecialTest 

  * tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FontManagerTest.cpp, 
    tests/JFMReaderTest.cpp, tests/MapLineTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/TensorProductPatchTest.cpp: 
  added 'override' specifier to gtest methods 

  * src/FontCache.cpp, src/FontCache.hpp, tests/FontCacheTest.cpp, 
    tests/Makefile.am: 
  added FontCacheTest 

  * tests/Makefile.am, tests/create-makefile: 
  removed redundant linker flag from tests 

  * m4/ax_code_coverage.m4, m4/ax_cxx_compile_stdcxx.m4: 
  updated m4 scripts to latest versions 

2017-01-23  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md, appveyor.yml: 
  added basic appveyor.yml 

2017-01-20  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/Makefile.am, libs/ff-woff/fontforge/fontforge.h, 
    libs/ff-woff/fontforge/tmpfile2.cpp, libs/ff-woff/fontforge/utils.c, 
    src/dvisvgm.cpp: 
  improved error handling of tmpfile2() in ff-woff
The FontForge library 
  doesn't check the return value of tmpfile() which may lead
to segfaults. 
  The replacement function tmpfile2() throws an exception or calls
exit() 
  so that dvisvgm can terminate more cleanly. 

2017-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/Color.cpp, src/DVIToSVGActions.cpp, 
    src/FilePath.cpp, src/FileSystem.cpp, src/FontWriter.cpp, 
    src/Makefile.am, src/PageSize.cpp, src/SVGOutput.cpp, src/utility.cpp, 
    src/utility.hpp, tests/Makefile.am, tests/UtilityTest.cpp: 
  moved common utility functions to separate compilation unit and 
  namespace 

  * src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/EPSToSVG.cpp: 
  get program name and version from version.hpp, avoid using macros from 
  config.h 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1 

  * NEWS: 
  updated NEWS 

2017-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/fontforge/utils.c, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/Font.cpp, src/FontWriter.cpp, src/GlyphTracerMessages.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/Process.cpp, 
    src/Process.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp: 
  create temp files in the system's temp folder rather than in cwd (closes 
  #63) 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/dvisvgm.cpp, 
    src/options.xml: 
  added option --tmpdir to select a different temp folder 

  * src/FontWriter.cpp, src/FontWriter.hpp: 
  print error message if FontWriter can't write temporary files 

2017-01-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp, src/FilePath.hpp, tests/FilePathTest.cpp, 
    tests/SVGOutputTest.cpp: 
  retain letter case of filenames (Windows) 

  * src/DVIToSVG.cpp, src/EPSToSVG.cpp, src/SVGTree.hpp: 
  print warning message if output file could not be written 

  * tests/GhostscriptTest.cpp: 
  disable GS banner in GhostscriptTest 

2017-01-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/dvisvgm.cpp: 
  added missing newlines in messages; fixed typo 

2017-01-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.hpp: 
  updated AGL table and removed colliding codepoints (closes #64) 

2017-01-03  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-dblatex-pdf.xsl, 
    libs/Makefile.am, src/AGLTable.hpp, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.hpp, src/Bezier.cpp, src/Bezier.hpp, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.hpp, 
    src/Bitmap.cpp, src/Bitmap.hpp, src/BoundingBox.cpp, src/BoundingBox.hpp, 
    src/CLCommandLine.cpp, src/CLCommandLine.hpp, src/CLOption.hpp, 
    src/CMap.cpp, src/CMap.hpp, src/CMapManager.cpp, src/CMapManager.hpp, 
    src/CMapReader.cpp, src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.hpp, 
    src/Calculator.cpp, src/Calculator.hpp, src/CharMapID.cpp, 
    src/CharMapID.hpp, src/Character.hpp, src/Color.cpp, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EPSFile.cpp, src/EPSFile.hpp, 
    src/EPSToSVG.cpp, src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/Makefile.am, src/MapLine.cpp, 
    src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, src/Message.cpp, 
    src/Message.hpp, src/MessageException.hpp, src/MetafontWrapper.cpp, 
    src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, src/MiKTeXCom.hpp, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.hpp, 
    src/NumericRanges.hpp, src/PSFilter.hpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.hpp, src/PSPattern.cpp, src/PSPattern.hpp, 
    src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, src/PageRanges.cpp, 
    src/PageRanges.hpp, src/PageSize.cpp, src/PageSize.hpp, src/Pair.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    src/PathClipper.cpp, src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/ShadingPatch.cpp, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.hpp, src/SpecialActions.hpp, src/SpecialHandler.hpp, 
    src/SpecialManager.cpp, src/SpecialManager.hpp, src/StreamReader.cpp, 
    src/StreamReader.hpp, src/StreamWriter.cpp, src/StreamWriter.hpp, 
    src/Subfont.cpp, src/Subfont.hpp, src/System.cpp, src/System.hpp, 
    src/TFM.cpp, src/TFM.hpp, src/TensorProductPatch.cpp, 
    src/TensorProductPatch.hpp, src/Terminal.cpp, src/Terminal.hpp, 
    src/ToUnicodeMap.cpp, src/ToUnicodeMap.hpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.hpp, src/TriangularPatch.cpp, 
    src/TriangularPatch.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/ZLibOutputStream.hpp, src/dvisvgm.cpp, 
    src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, src/options.dtd, 
    src/options.xml, src/psdefs.cpp, src/version.hpp, src/version.hpp.in, 
    tests/BezierTest.cpp, tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DependencyGraphTest.cpp, 
    tests/DirectoryTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/JFMReaderTest.cpp, 
    tests/LengthTest.cpp, tests/Makefile.am, tests/MapLineTest.cpp, 
    tests/MatrixTest.cpp, tests/MessageExceptionTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, tests/RangeMapTest.cpp, 
    tests/SVGOutputTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp, 
    tests/SubfontTest.cpp, tests/TFMReaderTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TriangularPatchTest.cpp, tests/UnicodeTest.cpp, 
    tests/VectorIteratorTest.cpp, tests/VectorStreamTest.cpp, 
    tests/XMLNodeTest.cpp, tests/XMLStringTest.cpp, tests/check-conv, 
    tests/create-makefile, tests/data/Makefile.am, tests/genhashcheck.py, 
    tests/normalize.xsl: 
  updated year in copyright statements to 2017 

2016-12-20  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/dvisvgm.xpr, doc/tweak-db-article.xsl: 
  manpage: minor refactorings of the XSLT scripts; added generation of 
  epub 

2016-12-16  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/tweak-dblatex-pdf.xsl: 
  added missing email address to copyright headers 

  * doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, 
    doc/tweak-dblatex-pdf.xsl: 
  indent with tabs rather than spaces 

  * doc/db2html.xsl: 
  manpage: replace icon of Author section 

  * doc/conf-dblatex-pdf.xsl, doc/tweak-dblatex-pdf.xsl: 
  manpage: use mixed case titles in pdf output 

2016-12-15  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/db2html.xsl, doc/dvisvgm.xpr: 
  manpage: preserve whitespace in list of supported specials 

2016-11-16  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  ensure compiling C files with --std=c99 

2016-11-14  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2016-11-12  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  minor changes in manpage 

  * README, README.md, configure.ac, libs/Makefile.am, libs/ff-woff/LICENSE, 
    libs/ff-woff/Makefile.am, libs/ff-woff/README.md, 
    libs/ff-woff/fontforge/PfEd.h, libs/ff-woff/fontforge/alphabet.c, 
    libs/ff-woff/fontforge/asmfpst.c, libs/ff-woff/fontforge/autohint.c, 
    libs/ff-woff/fontforge/char.c, libs/ff-woff/fontforge/cjk.c, 
    libs/ff-woff/fontforge/configure-fontforge.h, 
    libs/ff-woff/fontforge/cvundoes.c, libs/ff-woff/fontforge/dumppfa.c, 
    libs/ff-woff/fontforge/edgelist.h, libs/ff-woff/fontforge/edgelist2.h, 
    libs/ff-woff/fontforge/encoding.c, libs/ff-woff/fontforge/encoding.h, 
    libs/ff-woff/fontforge/fontforge-config.h, 
    libs/ff-woff/fontforge/fontforge.h, libs/ff-woff/fontforge/fontforgevw.h, 
    libs/ff-woff/fontforge/fvfonts.c, libs/ff-woff/fontforge/gwwiconv.c, 
    libs/ff-woff/fontforge/libffstamp.h, libs/ff-woff/fontforge/lookups.c, 
    libs/ff-woff/fontforge/macbinary.c, libs/ff-woff/fontforge/macenc.c, 
    libs/ff-woff/fontforge/mathconstants.c, libs/ff-woff/fontforge/memory.c, 
    libs/ff-woff/fontforge/mm.c, libs/ff-woff/fontforge/namehash.h, 
    libs/ff-woff/fontforge/namelist.c, libs/ff-woff/fontforge/nouiutil.c, 
    libs/ff-woff/fontforge/nowakowskittfinstr.c, 
    libs/ff-woff/fontforge/parsepfa.c, libs/ff-woff/fontforge/parsettf.c, 
    libs/ff-woff/fontforge/parsettfatt.c, libs/ff-woff/fontforge/psfont.h, 
    libs/ff-woff/fontforge/psread.c, libs/ff-woff/fontforge/pua.c, 
    libs/ff-woff/fontforge/sd.h, libs/ff-woff/fontforge/sfd.c, 
    libs/ff-woff/fontforge/sfd1.c, libs/ff-woff/fontforge/sfd1.h, 
    libs/ff-woff/fontforge/splinechar.c, libs/ff-woff/fontforge/splinefont.c, 
    libs/ff-woff/fontforge/splinefont.h, 
    libs/ff-woff/fontforge/splineorder2.c, 
    libs/ff-woff/fontforge/splineoverlap.c, 
    libs/ff-woff/fontforge/splinerefigure.c, 
    libs/ff-woff/fontforge/splinesave.c, 
    libs/ff-woff/fontforge/splinesaveafm.c, 
    libs/ff-woff/fontforge/splineutil.c, 
    libs/ff-woff/fontforge/splineutil2.c, libs/ff-woff/fontforge/start.c, 
    libs/ff-woff/fontforge/stemdb.c, libs/ff-woff/fontforge/stemdb.h, 
    libs/ff-woff/fontforge/tables.h, libs/ff-woff/fontforge/tottf.c, 
    libs/ff-woff/fontforge/tottfaat.c, libs/ff-woff/fontforge/tottfgpos.c, 
    libs/ff-woff/fontforge/tottfvar.c, libs/ff-woff/fontforge/ttf.h, 
    libs/ff-woff/fontforge/ttfinstrs.c, libs/ff-woff/fontforge/ttfinstrs.h, 
    libs/ff-woff/fontforge/ttfspecial.c, 
    libs/ff-woff/fontforge/uiinterface.h, libs/ff-woff/fontforge/unialt.c, 
    libs/ff-woff/fontforge/ustring.c, libs/ff-woff/fontforge/utils.c, 
    libs/ff-woff/fontforge/utype.c, libs/ff-woff/fontforge/woff.c, 
    libs/ff-woff/inc/basics.h, libs/ff-woff/inc/chardata.h, 
    libs/ff-woff/inc/charset.h, libs/ff-woff/inc/dlist.h, 
    libs/ff-woff/inc/gimage.h, libs/ff-woff/inc/gnetwork.h, 
    libs/ff-woff/inc/gwwiconv.h, libs/ff-woff/inc/intl.h, 
    libs/ff-woff/inc/ustring.h, libs/ff-woff/inc/utype.h, src/Makefile.am: 
  bundle reduced fontforge library (ff-woff) 

  * configure.ac, libs/Makefile.am, libs/clipper/Makefile.am, 
    libs/ff-woff/Makefile.am, libs/woff2/Makefile.am, 
    libs/woff2/brotli/Makefile.am, libs/woff2/brotli/enc/Makefile.am, 
    libs/woff2/src/Makefile.am, src/Makefile.am: 
  added license files of bundled libraries; relocated Makefiles 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.4 

2016-11-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.hpp, src/options.xml: 
  fixed a typo in the --help output 

  * src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/DVIReader.cpp, 
    src/DVIReader.hpp: 
  use const variables for DVI opcodes rather than the values directly 

2016-11-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp: 
  few cosmetic changes; added comments 

2016-09-27  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.3 

  * NEWS, README, README.md: 
  updated NEWS and README 

2016-09-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.hpp: 
  dropped tracking of previous DVI state from DVIReader 

  * src/DVIReader.cpp: 
  fixed positioning of rules 

2016-09-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.hpp, src/DVIToSVG.cpp: 
  fixed regression in character positioning of of virtual fonts 

2016-09-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  fixed type regression in computation of DVI positions (closes #61) 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.2 

  * NEWS, README.md: 
  updated NEWS and README 

2016-09-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp: 
  fixed sign of character depth computed for native fonts 

2016-09-03  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.1 

  * NEWS, README, README.md: 
  updated NEWS and README 

2016-08-31  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  added link to reduced FF library to README 

  * doc/dvisvgm.txt.in, src/FontWriter.cpp, src/FontWriter.hpp, 
    src/SVGTree.cpp, src/SVGTree.hpp, src/ffwrapper.c: 
  added option to autohint fonts created by the FontForge library 

2016-08-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.hpp, src/FontManager.hpp, src/MetafontWrapper.hpp: 
  adapted struct/class forward declarations 

2016-08-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FileFinder.hpp: 
  removed unused variable 

  * src/CLCommandLine.cpp: 
  added missing cast to avoid compiler warning 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0 

  * README, README.md: 
  updated README files 

  * NEWS: 
  updated NEWS 

2016-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml: 
  use Ubuntu Trusty for Travis builds 

  * .travis.yml: 
  Travis: prevent rebuilding files in folder 'src' when calling 'make 
  check' 

  * src/FontWriter.cpp, src/FontWriter.hpp, src/ffwrapper.c, 
    src/ffwrapper.h: 
  added missing copyright headers 

2016-08-25  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, clipper/License.txt, clipper/Makefile.am, 
    clipper/clipper.cpp, clipper/clipper.hpp, configure.ac, libs/Makefile.am, 
    libs/clipper/License.txt, libs/clipper/Makefile.am, 
    libs/clipper/clipper.cpp, libs/clipper/clipper.hpp, libs/xxHash/LICENSE, 
    libs/xxHash/Makefile.am, libs/xxHash/xxhash.c, libs/xxHash/xxhash.h, 
    src/Makefile.am, tests/Makefile.am, tests/create-makefile, 
    xxHash/LICENSE, xxHash/Makefile.am, xxHash/xxhash.c, xxHash/xxhash.h: 
  moved bundled libraries (clipper, xxHash) to subfolder 'libs' 

  * configure.ac, doc/dvisvgm.txt.in, libs/Makefile.am, libs/woff2/LICENSE, 
    libs/woff2/brotli/LICENSE, libs/woff2/brotli/enc/Makefile.am, 
    libs/woff2/brotli/enc/backward_references.cc, 
    libs/woff2/brotli/enc/backward_references.h, 
    libs/woff2/brotli/enc/bit_cost.h, 
    libs/woff2/brotli/enc/block_splitter.cc, 
    libs/woff2/brotli/enc/block_splitter.h, 
    libs/woff2/brotli/enc/brotli_bit_stream.cc, 
    libs/woff2/brotli/enc/brotli_bit_stream.h, 
    libs/woff2/brotli/enc/cluster.h, libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.cc, 
    libs/woff2/brotli/enc/compress_fragment.h, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.cc, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.h, 
    libs/woff2/brotli/enc/compressor.h, libs/woff2/brotli/enc/context.h, 
    libs/woff2/brotli/enc/dictionary.cc, libs/woff2/brotli/enc/dictionary.h, 
    libs/woff2/brotli/enc/dictionary_hash.h, libs/woff2/brotli/enc/encode.cc, 
    libs/woff2/brotli/enc/encode.h, libs/woff2/brotli/enc/encode_parallel.cc, 
    libs/woff2/brotli/enc/encode_parallel.h, 
    libs/woff2/brotli/enc/entropy_encode.cc, 
    libs/woff2/brotli/enc/entropy_encode.h, 
    libs/woff2/brotli/enc/entropy_encode_static.h, 
    libs/woff2/brotli/enc/fast_log.h, 
    libs/woff2/brotli/enc/find_match_length.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/histogram.cc, libs/woff2/brotli/enc/histogram.h, 
    libs/woff2/brotli/enc/literal_cost.cc, 
    libs/woff2/brotli/enc/literal_cost.h, libs/woff2/brotli/enc/metablock.cc, 
    libs/woff2/brotli/enc/metablock.h, libs/woff2/brotli/enc/port.h, 
    libs/woff2/brotli/enc/prefix.h, libs/woff2/brotli/enc/ringbuffer.h, 
    libs/woff2/brotli/enc/static_dict.cc, 
    libs/woff2/brotli/enc/static_dict.h, 
    libs/woff2/brotli/enc/static_dict_lut.h, 
    libs/woff2/brotli/enc/streams.cc, libs/woff2/brotli/enc/streams.h, 
    libs/woff2/brotli/enc/transform.h, libs/woff2/brotli/enc/types.h, 
    libs/woff2/brotli/enc/utf8_util.cc, libs/woff2/brotli/enc/utf8_util.h, 
    libs/woff2/brotli/enc/write_bits.h, libs/woff2/brotli/tools/bro.cc, 
    libs/woff2/brotli/tools/rfc-format.py, libs/woff2/brotli/tools/version.h, 
    libs/woff2/src/Makefile.am, libs/woff2/src/buffer.h, 
    libs/woff2/src/file.h, libs/woff2/src/font.cc, libs/woff2/src/font.h, 
    libs/woff2/src/glyph.cc, libs/woff2/src/glyph.h, 
    libs/woff2/src/normalize.cc, libs/woff2/src/normalize.h, 
    libs/woff2/src/port.h, libs/woff2/src/round.h, 
    libs/woff2/src/store_bytes.h, libs/woff2/src/table_tags.cc, 
    libs/woff2/src/table_tags.h, libs/woff2/src/transform.cc, 
    libs/woff2/src/transform.h, libs/woff2/src/variable_length.cc, 
    libs/woff2/src/variable_length.h, libs/woff2/src/woff2_common.cc, 
    libs/woff2/src/woff2_common.h, libs/woff2/src/woff2_dec.h, 
    libs/woff2/src/woff2_enc.cc, libs/woff2/src/woff2_enc.h, 
    libs/woff2/src/woff2_out.cc, libs/woff2/src/woff2_out.h, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/Makefile.am: 
  added support for embedding WOFF2 fonts 

2016-08-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.hpp: 
  added move constructors to XMLNode classes 

2016-08-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp: 
  fixed sign of the font descender 

  * configure.ac, doc/dvisvgm.txt.in, src/CommandLine.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GraphicsPath.hpp, 
    src/Makefile.am, src/SVGTree.cpp, src/SVGTree.hpp, src/XMLNode.cpp, 
    src/XMLNode.hpp, src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, 
    src/options.xml: 
  added option --font-format to select the file format used to embed fonts 

2016-08-22  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash.c, xxHash/xxhash.h: 
  updated xxHash to version 0.6.2 

2016-08-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FixWord.hpp, src/Font.cpp, src/FontMetrics.hpp, src/SVGTree.cpp, 
    src/TFM.cpp, src/TFM.hpp: 
  added getters for ascent and descent to TFM-based fonts 

2016-08-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.hpp: 
  removed copy constructor of class Ghostscript 

  * src/PathClipper.cpp: 
  added missing initializers 

2016-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/CLCommandLine.cpp, src/CLCommandLine.hpp, 
    src/CommandLine.hpp, src/Makefile.am, src/dvisvgm.cpp, src/options.dtd, 
    src/options.xml, src/version.hpp, src/version.hpp.in: 
  added version.hpp to provide the current version number 

2016-08-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/FilePath.cpp, src/FilePath.hpp, src/Font.cpp, 
    src/Font.hpp, src/FontManager.cpp, src/FontManager.hpp, src/GFReader.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/VFActions.hpp, src/VFReader.cpp: 
  pass string parameters by reference if possible 

  * src/System.cpp, src/dvisvgm.cpp: 
  minor refactorings of dvisvgm.cpp 

  * src/Ghostscript.cpp, src/MiKTeXCom.cpp: 
  replaced __WIN64__ with pre-defined _WIN64 

2016-08-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CLCommandLine.cpp, src/CLCommandLine.hpp, src/CLOption.hpp, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.hpp, 
    src/CommandLine.cpp, src/CommandLine.hpp, src/Makefile.am, 
    src/dvisvgm.cpp, src/options.dtd, src/options.xml, 
    tests/CommandLineTest.cpp: 
  reimplemented the CommandLine parser class 

  * src/CMap.cpp, src/CMapManager.cpp, src/CMapReader.cpp, src/EncFile.cpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/Font.cpp, 
    src/FontEncoding.cpp, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMetrics.cpp, src/Ghostscript.cpp, src/MetafontWrapper.cpp, 
    src/PsSpecialHandler.cpp, src/Subfont.cpp, src/dvisvgm.cpp, 
    tests/CMapManagerTest.cpp, tests/FileFinderTest.cpp, 
    tests/MapLineTest.cpp, tests/SubfontTest.cpp: 
  made FileFinder a singleton again 

2016-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BoundingBox.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/FileSystem.cpp, src/FontCache.cpp, src/FontEngine.cpp, 
    src/FontManager.cpp, src/GraphicsPath.hpp, src/PSInterpreter.cpp, 
    src/PapersizeSpecialHandler.cpp, src/PathClipper.cpp, src/RangeMap.cpp, 
    src/Subfont.cpp, src/TpicSpecialHandler.cpp, src/XMLDocument.cpp, 
    src/XMLNode.cpp: 
  replaced insert/push_back with emplace/emplace_back where useful 

2016-07-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PathClipper.cpp: 
  some minor refactorings of class PathClipper 

  * src/CMapReader.cpp: 
  minor refactoring of class CMapReader 

2016-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontMap.cpp, src/FontMap.hpp: 
  some syntactic refactorings of class FontMap 

  * src/FontManager.cpp, src/FontManager.hpp: 
  use unique_ptr to automatically release Font objects in class 
  FontManager 

2016-07-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.h, src/AGLTable.hpp, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.h, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.h, src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.h, src/BgColorSpecialHandler.hpp, 
    src/Bitmap.cpp, src/Bitmap.h, src/Bitmap.hpp, src/BoundingBox.cpp, 
    src/BoundingBox.h, src/BoundingBox.hpp, src/CMap.cpp, src/CMap.h, 
    src/CMap.hpp, src/CMapManager.cpp, src/CMapManager.h, 
    src/CMapManager.hpp, src/CMapReader.cpp, src/CMapReader.h, 
    src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.h, src/CRC32.hpp, 
    src/Calculator.cpp, src/Calculator.h, src/Calculator.hpp, 
    src/CharMapID.cpp, src/CharMapID.h, src/CharMapID.hpp, src/Character.h, 
    src/Character.hpp, src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, 
    src/CmdLineParserBase.hpp, src/Color.cpp, src/Color.h, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/ColorSpecialHandler.hpp, src/CommandLine.cpp, src/CommandLine.h, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.h, src/DLLoader.hpp, 
    src/DVIActions.h, src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIReader.hpp, src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVG.hpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/DVIToSVGActions.hpp, 
    src/DependencyGraph.h, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.h, src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/DvisvgmSpecialHandler.hpp, 
    src/EPSFile.cpp, src/EPSFile.h, src/EPSFile.hpp, src/EPSToSVG.cpp, 
    src/EPSToSVG.h, src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/EmSpecialHandler.hpp, src/EncFile.cpp, 
    src/EncFile.h, src/EncFile.hpp, src/FileFinder.cpp, src/FileFinder.h, 
    src/FileFinder.hpp, src/FilePath.cpp, src/FilePath.h, src/FilePath.hpp, 
    src/FileSystem.cpp, src/FileSystem.h, src/FileSystem.hpp, src/FixWord.h, 
    src/FixWord.hpp, src/Font.cpp, src/Font.h, src/Font.hpp, 
    src/FontCache.cpp, src/FontCache.h, src/FontCache.hpp, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontEngine.hpp, 
    src/FontManager.cpp, src/FontManager.h, src/FontManager.hpp, 
    src/FontMap.cpp, src/FontMap.h, src/FontMap.hpp, src/FontMetrics.cpp, 
    src/FontMetrics.h, src/FontMetrics.hpp, src/FontStyle.h, 
    src/FontStyle.hpp, src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.h, 
    src/GFReader.hpp, src/GFTracer.cpp, src/GFTracer.h, src/GFTracer.hpp, 
    src/Ghostscript.cpp, src/Ghostscript.h, src/Ghostscript.hpp, src/Glyph.h, 
    src/Glyph.hpp, src/GlyphTracerMessages.h, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.h, src/GraphicsPath.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/HtmlSpecialHandler.hpp, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.h, src/InputReader.hpp, src/JFM.cpp, 
    src/JFM.h, src/JFM.hpp, src/Length.cpp, src/Length.h, src/Length.hpp, 
    src/Makefile.am, src/MapLine.cpp, src/MapLine.h, src/MapLine.hpp, 
    src/Matrix.cpp, src/Matrix.h, src/Matrix.hpp, src/Message.cpp, 
    src/Message.h, src/Message.hpp, src/MessageException.h, 
    src/MessageException.hpp, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, src/MiKTeXCom.h, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.h, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.h, src/NumericRanges.hpp, 
    src/PSFilter.h, src/PSFilter.hpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.h, src/PSPattern.hpp, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.h, src/PSPreviewFilter.hpp, src/PageRanges.cpp, 
    src/PageRanges.h, src/PageRanges.hpp, src/PageSize.cpp, src/PageSize.h, 
    src/PageSize.hpp, src/Pair.h, src/Pair.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.h, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, src/PathClipper.h, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.h, src/PreScanDVIReader.hpp, src/Process.cpp, 
    src/Process.h, src/Process.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.h, src/RangeMap.hpp, src/SVGCharHandler.cpp, 
    src/SVGCharHandler.h, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.h, 
    src/SVGCharHandlerFactory.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.h, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.h, 
    src/SVGCharTspanTextHandler.hpp, src/SVGOutput.cpp, src/SVGOutput.h, 
    src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.h, src/SVGSingleCharTextHandler.hpp, 
    src/SVGTree.cpp, src/SVGTree.h, src/SVGTree.hpp, src/ShadingPatch.cpp, 
    src/ShadingPatch.h, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.h, src/SignalHandler.hpp, src/SpecialActions.h, 
    src/SpecialActions.hpp, src/SpecialHandler.h, src/SpecialHandler.hpp, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/SpecialManager.hpp, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.h, src/StreamWriter.hpp, 
    src/Subfont.cpp, src/Subfont.h, src/Subfont.hpp, src/System.cpp, 
    src/System.h, src/System.hpp, src/TFM.cpp, src/TFM.h, src/TFM.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.h, 
    src/TensorProductPatch.hpp, src/Terminal.cpp, src/Terminal.h, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, 
    src/ToUnicodeMap.hpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.h, src/TriangularPatch.hpp, 
    src/Unicode.cpp, src/Unicode.h, src/Unicode.hpp, src/VFActions.h, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.h, src/VFReader.hpp, 
    src/VectorIterator.h, src/VectorIterator.hpp, src/VectorStream.h, 
    src/VectorStream.hpp, src/XMLDocument.cpp, src/XMLDocument.h, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.h, src/XMLNode.hpp, 
    src/XMLString.cpp, src/XMLString.h, src/XMLString.hpp, 
    src/ZLibOutputStream.h, src/ZLibOutputStream.hpp, src/dvisvgm.cpp, 
    src/macros.h, src/macros.hpp, src/psdefs.cpp, tests/BezierTest.cpp, 
    tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DependencyGraphTest.cpp, 
    tests/DirectoryTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/GhostscriptTest.cpp, tests/GraphicsPathTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/RangeMapTest.cpp, tests/SVGOutputTest.cpp, 
    tests/ShadingPatchTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/TensorProductPatchTest.cpp, 
    tests/ToUnicodeMapTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/VectorStreamTest.cpp, tests/XMLNodeTest.cpp, 
    tests/XMLStringTest.cpp, tests/create-makefile: 
  renamed filename extension of C++ headers to .hpp 

2016-07-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapManager.cpp, src/CMapManager.h, src/FileFinder.cpp, 
    src/Font.cpp, src/Font.h, src/XMLDocument.cpp, src/XMLDocument.h, 
    src/XMLNode.cpp, src/XMLNode.h, tests/XMLNodeTest.cpp: 
  use smart pointers to release heap memory 

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h: 
  create BoxMap object directly, avoid new/delete 

2016-07-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.h, src/Color.cpp, src/Unicode.cpp, tests/genhashcheck.py: 
  replaced repeated binary search implementations with calls of 
  lower_bound() 

2016-07-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/Message.cpp: 
  initialize maps with initializer-lists 

2016-07-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Length.cpp, src/TpicSpecialHandler.cpp: 
  replaced 'id macros' with constexpr functions 

2016-07-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TFM.cpp: 
  added missing initializers 

  * src/dvisvgm.cpp: 
  catch exception in set_cache_dir() 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.16 

  * NEWS, README.md: 
  updated NEWS and README 

2016-07-03  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, m4/ax_cxx_compile_stdcxx.m4: 
  switch from C++03 to C++11 

  * src/NumericRanges.h, src/PapersizeSpecialHandler.cpp, src/Unicode.cpp, 
    src/VFReader.cpp: 
  replaced static callback functions with lambdas 

  * src/CMapReader.cpp, src/CMapReader.h, src/CmdLineParserBase.cpp, 
    src/CmdLineParserBase.h, src/Color.cpp, src/Color.h, src/CommandLine.cpp, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/EmSpecialHandler.cpp, src/Font.cpp, src/Font.h, src/FontManager.cpp, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.h, 
    src/Length.cpp, src/Length.h, src/PathClipper.cpp, 
    src/PsSpecialHandler.cpp, src/SVGTree.cpp, src/ShadingPatch.cpp, 
    src/TensorProductPatch.h, tests/BoundingBoxTest.cpp, 
    tests/LengthTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/TriangularPatchTest.cpp: 
  replaced some enums with enum classes 

  * clipper/clipper.hpp, src/AGLTable.h, src/BasicDVIReader.cpp, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.h, src/CMap.cpp, 
    src/CMap.h, src/CMapReader.cpp, src/CRC32.cpp, src/CRC32.h, 
    src/CharMapID.h, src/Character.h, src/Color.cpp, src/Color.h, 
    src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/EPSFile.cpp, src/EPSFile.h, src/EncFile.cpp, src/EncFile.h, 
    src/FileSystem.cpp, src/FileSystem.h, src/FixWord.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMetrics.cpp, 
    src/FontMetrics.h, src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, 
    src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, src/GFTracer.h, 
    src/Glyph.h, src/GlyphTracerMessages.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/JFM.cpp, src/JFM.h, src/Makefile.am, 
    src/Message.h, src/Pair.h, src/PathClipper.cpp, src/PreScanDVIReader.cpp, 
    src/PsSpecialHandler.h, src/RangeMap.cpp, src/RangeMap.h, 
    src/SVGCharHandler.h, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.h, src/SVGCharTspanTextHandler.cpp, 
    src/SVGCharTspanTextHandler.h, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/StreamWriter.cpp, src/StreamWriter.h, src/Subfont.cpp, src/Subfont.h, 
    src/TFM.cpp, src/TFM.h, src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, 
    src/Unicode.cpp, src/Unicode.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/XMLString.cpp, src/types.h, tests/BitmapTest.cpp, 
    tests/CRC32Test.cpp, tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/JFMReaderTest.cpp, tests/Makefile.am, tests/StreamReaderTest.cpp, 
    tests/TriangularPatchTest.cpp, tests/TypesTest.cpp, 
    tests/UnicodeTest.cpp: 
  replaced own fixed-sized integer types with types from cstdint 

  * AUTHORS, LGPL-2.1.txt, Makefile.am, gzstream/COPYING.LIB, 
    gzstream/Makefile, gzstream/README, gzstream/gzstream.cpp, 
    gzstream/gzstream.h, gzstream/index.html, gzstream/logo.gif, 
    gzstream/test_gunzip.C, gzstream/test_gzip.C, gzstream/version, 
    src/Makefile.am, src/SVGOutput.cpp, src/SVGOutput.h, 
    src/ZLibOutputStream.h, src/dvisvgm.cpp, src/gzstream.cpp, 
    src/gzstream.h, tests/Makefile.am, tests/SVGOutputTest.cpp, 
    tests/create-makefile: 
  replaced old gzstream classes 

  * src/DVIReader.cpp, src/DVIReader.h, src/Font.cpp, src/Font.h, 
    src/FontManager.cpp, src/FontManager.h, src/VFActions.h, 
    src/VFReader.cpp: 
  transfer DVI snippet of a VF char by move semantics rather than by heap 
  pointer 

2016-07-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bitmap.cpp, src/BoundingBox.h, src/CMapManager.cpp, 
    src/CmdLineParserBase.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/DependencyGraph.h, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/FileFinder.cpp, src/FilePath.cpp, src/FilePath.h, src/Font.cpp, 
    src/FontCache.cpp, src/FontEncoding.cpp, src/FontManager.cpp, 
    src/FontMap.cpp, src/FontMap.h, src/GFReader.cpp, src/GFReader.h, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.cpp, src/NumericRanges.h, 
    src/PSPattern.cpp, src/PsSpecialHandler.cpp, src/SVGTree.cpp, 
    src/SVGTree.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/Subfont.cpp, src/Subfont.h, src/TpicSpecialHandler.cpp, 
    src/XMLDocument.cpp, src/XMLNode.cpp, src/XMLString.cpp, src/macros.h: 
  use range-based 'for' loop to iterate over containers; drop FORALL macro 

  * clipper/clipper.hpp, src/BgColorSpecialHandler.h, src/Bitmap.cpp, 
    src/CMap.h, src/CmdLineParserBase.h, src/ColorSpecialHandler.h, 
    src/CommandLine.h, src/DVIReader.h, src/DVIToSVG.h, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.h, src/EPSToSVG.h, 
    src/EmSpecialHandler.h, src/EncFile.h, src/Font.h, src/FontCache.cpp, 
    src/FontEncoding.h, src/FontMetrics.h, src/GFGlyphTracer.h, 
    src/GFReader.h, src/GFTracer.h, src/GlyphTracerMessages.h, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.h, src/InputBuffer.h, 
    src/InputReader.h, src/JFM.h, src/MessageException.h, 
    src/NoPsSpecialHandler.h, src/PSPattern.h, src/PSPreviewFilter.h, 
    src/PapersizeSpecialHandler.h, src/PathClipper.cpp, 
    src/PdfSpecialHandler.h, src/PreScanDVIReader.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SVGCharPathHandler.h, src/SVGCharTspanTextHandler.h, src/SVGOutput.h, 
    src/SVGSingleCharTextHandler.h, src/SpecialActions.h, src/TFM.h, 
    src/TensorProductPatch.h, src/TpicSpecialHandler.h, 
    src/TriangularPatch.h, src/VectorStream.h, src/XMLNode.h: 
  mark overridden methods with 'override' keyword 

  * src/PsSpecialHandler.cpp: 
  use unique_ptr rather than deprecated auto_ptr 

  * src/BasicDVIReader.h, src/Bitmap.h, src/CMap.h, src/CmdLineParserBase.h, 
    src/DVIActions.h, src/Font.h, src/FontEncoding.h, src/FontMetrics.h, 
    src/GFGlyphTracer.h, src/GFReader.h, src/GFTracer.h, src/GraphicsPath.h, 
    src/InputBuffer.h, src/InputReader.h, src/MessageException.h, 
    src/PSFilter.h, src/PSInterpreter.h, src/PSPattern.h, 
    src/SVGCharHandler.h, src/SVGOutput.h, src/ShadingPatch.h, 
    src/SpecialActions.h, src/SpecialHandler.h, src/StreamReader.h, 
    src/StreamWriter.h, src/Subfont.h, src/VFActions.h, src/XMLNode.h: 
  replaced empty virtual destructors with default ones 

2016-07-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.h, src/DVIActions.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/FontManager.cpp, 
    src/FontManager.h, src/PreScanDVIReader.h, src/dvisvgm.cpp: 
  refactored the DVI reader classes
- added higher-level template methods 
  to process the DVI commands more safely
- moved triggering of DVIActions 
  from DVIReader to DVIToSVG 

2016-06-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, src/DVIToSVG.cpp, 
    src/dvisvgm.cpp: 
  fixed computation of bounding boxes modified by relative --bbox argument 

  * xxHash/xxhash.c, xxHash/xxhash.h: 
  updated xxHash to version 0.6.1 

2016-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TFM.cpp, tests/JFMReaderTest.cpp, tests/TFMReaderTest.cpp: 
  minor improvements to TFM/JFM tests 

2016-06-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/VectorStream.h, tests/VectorStreamTest.cpp: 
  refactored VectorStreamBuffer to keep constness of assigned vector 

  * src/GFReader.cpp: 
  ensure validity of postpost command in GFReader::executePostamble() 

2016-06-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DvisvgmSpecialHandler.cpp, src/TFM.cpp, src/VFReader.cpp: 
  replaced local definitions of pt2bp with Length::pt2bp 

  * src/XMLNode.h: 
  added ouput operators for the XML node objects 

  * src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, 
    tests/EmSpecialTest.cpp, tests/Makefile.am: 
  improved the emTeX special handler; added EmSpecialTest 

  * src/BoundingBox.cpp, src/BoundingBox.h, tests/BoundingBoxTest.cpp: 
  fixed unit conversion in BoundingBox class 

2016-06-13  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/Length.cpp, src/Length.h, tests/LengthTest.cpp: 
  added dd, cc, and sp units to class Length; fixed factor pt2pc 

2016-06-12  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash.c, xxHash/xxhash.h: 
  updated xxHash to version 0.6.0 

  * src/DLLoader.cpp, src/DLLoader.h, src/Directory.cpp, src/Directory.h, 
    src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, src/GFTracer.cpp, 
    src/Ghostscript.cpp, src/Ghostscript.h, src/Message.cpp, 
    src/MetafontWrapper.cpp, src/Process.cpp, src/Terminal.cpp, 
    src/Terminal.h, src/dvisvgm.cpp: 
  cleaned up Windows-related #defines 

2016-06-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.cpp: 
  removed redundant #includes 

  * src/Length.cpp, src/Length.h, tests/LengthTest.cpp: 
  added functions to convert between Length::Unit and std::string 

2016-06-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapManager.cpp, src/CMapManager.h, src/DVIActions.h, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.h, src/Font.h, 
    src/FontEngine.h, src/FontManager.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/PSPattern.h, src/PSPreviewFilter.h, 
    src/SVGCharHandler.cpp, src/SVGCharHandler.h, src/SVGCharPathHandler.cpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGTree.h, src/SpecialActions.h, src/SpecialHandler.h, 
    src/SpecialManager.h, src/XMLDocument.cpp, src/XMLNode.h, 
    tests/XMLNodeTest.cpp: 
  changed some structs to classes and replaced #includes with forward 
  declarations 

  * src/SVGCharHandler.h: 
  added missing initializer to class SVGCharHandler 

2016-06-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/EPSToSVG.cpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.h, src/PSPattern.cpp, src/PSPattern.h, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, tests/ColorSpecialTest.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  refactored handling of SpecialAction objects 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/SVGTree.cpp, 
    src/SVGTree.h: 
  refactored processing of end-of-page (eop) commands 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/Makefile.am, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.h, 
    src/PsSpecialHandler.cpp, src/dvisvgm.cpp: 
  added evaluation of PS special 'papersize=' 

2016-06-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  fixed transformation of background color rectange 

2016-05-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/EPSToSVG.cpp: 
  reworded messages printed after finishing a conversion 

2016-05-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/Font.cpp, src/Makefile.am, 
    src/SVGCharHandler.cpp, src/SVGCharHandler.h, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.h, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.h, 
